function bndcnd_annot_refresh(varargin)

% Find structure and handles
swan=findobj('Tag','swan1d');
handles=get(swan,'Userdata');

if isfield(handles.figures.input,'bndannot');
    if ishandle(handles.figures.input.bndannot)==1;
    pos=get(handles.figures.input.bndannot,'Position');
    end
end

close(handles.figures.input.bndannot);

handles.figures.input.bndannot=figure('Name','Display Situation','Units','Centimeters','Position',...
    pos,'Menubar','none','Numbertitle','Off','Color',[0.80 0.85 0.90]);
% winontop(handles.figures.input.bndannot)

if isfield(handles,'input')==1
    if isfield(handles.input,'bottomprofile')==1
        if isfield(handles.input.bottomprofile,'alpha')==1
            alpha=handles.input.bottomprofile.alpha;
        else
            alpha=180;
        end
    else
        alpha=180;
    end
else
    alpha=180;
end

if alpha>360
    alpha1=rem(alpha,360);
    set(handles.figures.bottomprofile.edit2,'String',num2str(alpha1))
    alpha=alpha1;
end

if alpha<0
    if alpha<-360
        alpha1=-rem(abs(alpha1),360);
        alpha1=360+alpha1;
        set(handles.figures.bottomprofile.edit2,'String',num2str(alpha1))
        alpha=alpha1;
    else
        alpha1=360+alpha1;
        set(handles.figures.bottomprofile.edit2,'String',num2str(alpha1))
        alpha=alpha1;
    end
    alpha=alpha1;
end

if alpha>=0 && alpha<=270
    alphannot=270-alpha;
end

if alpha>270 && alpha<=360
    alphannot=360-(alpha-270);
end

%% Calling Wave Direction
dir=str2num(get(handles.figures.boundaryconditions.edit6,'String'));
if dir>360
    dir1=rem(dir,360);
    dir=dir1;
end
if dir<0
    if dir<-360
        dir1=-rem(abs(dir),360);
        dir1=360+dir1;
        dir=dir1;
    else
        dir1=360+dir;
        dir=dir1;
    end
end

if dir>=0 && dir<=90
    dirannot=90-dir;
end

if dir>90 && dir<=360
    dirannot=450-dir;
end

%% Calling Wind Direction
wind=str2num(get(handles.figures.boundaryconditions.edit7,'String'));

if wind>360
    wind1=rem(wind,360);
    wind=wind1;
end

if wind<0
    if wind<-360
        wind1=-rem(abs(wind),360);
        wind1=360+wind;
        wind=wind1;
    else
        wind1=360+wind;
        wind=wind1;
    end
end

if wind>=0 && wind<=90
    windannot=90-wind;
end

if wind>90 && wind<=360
    windannot=450-wind;
end

%% angles from degrees to radians
alphannot=alphannot;
alphannot=alphannot*pi/180;
dirannot=dirannot;
dirannot=dirannot*pi/180;
windannot=windannot*pi/180;

%% Adding Legends
annotation(handles.figures.input.bndannot,'Line',[0.84 0.95],[0.93 0.93],'Color',[0.6 0.35 0.1],'LineWidth',3);
uicontrol(handles.figures.input.bndannot,'Style','text','String','Coast','Units','Normalized','Position',[0.73 0.9 0.1 0.05],...
    'BackgroundColor',[0.80 0.85 0.90]);
uicontrol(handles.figures.input.bndannot,'Style','text','String','Bottom Profile','Units','Normalized','Position',[0.62 0.85 0.2 0.05],...
    'BackgroundColor',[0.80 0.85 0.90]);
uicontrol(handles.figures.input.bndannot,'Style','text','String','Wave Ray','Units','Normalized','Position',[0.652 0.8 0.18 0.05],...
    'BackgroundColor',[0.80 0.85 0.90]);
uicontrol(handles.figures.input.bndannot,'Style','text','String','Wave Crest','Units','Normalized','Position',[0.633 0.75 0.2 0.05],...
    'BackgroundColor',[0.80 0.85 0.90]);
uicontrol(handles.figures.input.bndannot,'Style','text','String','Wind','Units','Normalized','Position',[0.7255 0.705 0.1 0.05],...
    'BackgroundColor',[0.80 0.85 0.90]);
annotation(handles.figures.input.bndannot,'Line',[0.84 0.95],[0.874 0.874],'Color','g','LineWidth',1.5);
annotation(handles.figures.input.bndannot,'Line',[0.84 0.95],[0.826 0.826],'Color','r','LineWidth',1.5);
annotation(handles.figures.input.bndannot,'Line',[0.84 0.95],[0.777 0.777],'Color','b','LineWidth',1.5);
annotation(handles.figures.input.bndannot,'Line',[0.84 0.95],[0.73 0.73],'Color','y','LineWidth',1.5);
%% Showing the Normal to the Coast
annotation(handles.figures.input.bndannot,'arrow',[0.45 (0.45+0.15*cos(alphannot))],[0.35 (0.35+0.15*sin(alphannot))],'Color','g','LineWidth',1.5);
%% Showing the Wave Ray
annotation(handles.figures.input.bndannot,'arrow',...
    [0.45+0.3*cos(dirannot) 0.45+0.15*cos(dirannot)],[0.35+0.3*sin(dirannot) (0.35+0.15*sin(dirannot))],'Color','r','LineWidth',1.5);
%% Showing the Coast
annotation(handles.figures.input.bndannot,'line',...
    [0.45+0.07*cos(alphannot+90) 0.45+0.07*cos(alphannot-90)],[0.35+0.07*sin(alphannot+90) (0.35+0.07*sin(alphannot-90))],...
    'Color',[0.6 0.35 0.1],'LineWidth',15.2);
%% North Direction
uicontrol(handles.figures.input.bndannot,'Style','text','String','N',...
    'Units','Normalized','Position',[0.425 0.71 0.04 0.04],'BackgroundColor',[0.80 0.85 0.90],'Fontsize',10,'FontWeight','bold');
annotation(handles.figures.input.bndannot,'arrow',...
    [0.448 0.448],[0.75 0.85],'Color','k','LineWidth',3.5);
%% Showing Wave crests
annotation(handles.figures.input.bndannot,'line',...
    [0.45+0.28*cos(dirannot+pi/10) 0.45+0.28*cos(dirannot-pi/10)],...
    [0.35+0.28*sin(dirannot+pi/10) (0.35+0.28*sin(dirannot-pi/10))],...
    'Color','b','LineWidth',1.5);
annotation(handles.figures.input.bndannot,'line',...
    [0.45+0.27*cos(dirannot+pi/10) 0.45+0.27*cos(dirannot-pi/10)],...
    [0.35+0.27*sin(dirannot+pi/10) (0.35+0.27*sin(dirannot-pi/10))],...
    'Color','b','LineWidth',1.5);
%% Showing the Wind Direction
annotation(handles.figures.input.bndannot,'arrow',...
    [0.45+0.35*cos(windannot) 0.45+0.2*cos(windannot)],[0.35+0.35*sin(windannot) (0.35+0.2*sin(windannot))],'Color','y','LineWidth',1.5);
%% Refresh Button
handles.figures.bottomprofile.dispannot.refreshbutton=uicontrol('Parent',handles.figures.input.bndannot,'style','pushbutton',...
    'Units','Normalized','Position',[0.1 0.8 0.14 0.14],...
    'String','Refresh','Callback',@bndcnd_annot_refresh,'FontWeight','bold');
handles.figures.bottomprofile.dispannot.done=uicontrol('Parent',handles.figures.input.bndannot,'style','pushbutton',...
    'Units','Normalized','Position',[0.81 0.06 0.15 0.08],...
    'String','Done','Callback',@bndcnd_annot_done);

% Set handles to 'Userdata' property
set(swan,'UserData',handles);

end
%end
%end