function bound_cnd_clbk(varargin)

% Define boundary conditions

% Find structure and handles
global handles
swan=findobj('Tag','swan1d');
handles=get(swan,'Userdata');

handles.figures.input.f3=figure('Name','SwanOne - Boundary Conditions','Units','Centimeters','Position',...
    [8.5 8 16.5 12],'Menubar','none','Numbertitle','Off','Tag','Boundary Conditions','Color',[0.95 0.95 0.95],'CloseRequestFcn',@close_bndcnd_clbk);
set(handles.swan1d.menu.computation.m,'Enable','Off');
set(handles.swan1d.menu.input.boundaryconditions,'Callback',@do_nothing);

%% 'Water Level' field

h3=uibuttongroup('Parent',handles.figures.input.f3,'Units','Centimeters',...
    'Position',[0.2 9.5 14 2.1],'Title','Water Level',...
    'SelectionChangeFcn',@uibuttongroup_bndcnd_clbk,'BackGroundColor',[0.95 0.95 0.95]);
handles.figures.boundaryconditions.uibuttongroup3=h3;
handles.figures.boundaryconditions.uibuttongroup3=h3;

% 'Water Depth' fields
uicontrol('Parent',h3,'Style','text','String','Water Depth (m)','Units',...
    'Centimeters','Position',[0.7 0.9 2.5 0.6],'HorizontalAlignment','left','BackGroundColor',[0.95 0.95 0.95]);
handles.figures.boundaryconditions.edit4=uicontrol('Parent',h3,'style','edit',...
    'Units','Centimeters','Position',[4 1 1.7 0.6],'BackGroundColor','w');
set(handles.figures.boundaryconditions.edit4,'String',0);

% 'Wave Setup' fields
uicontrol('Parent',h3,'Style','text','String','Wave Setup',...
    'Units','Centimeters','Position',[0.7 0.15 2 0.6],'HorizontalAlignment','left','BackGroundColor',[0.95 0.95 0.95]);
handles.figures.boundaryconditions.radio4=uicontrol('Parent',h3,'Style','Radio','Units','Centimeters',...
    'Position',[4 0.25 1.1 0.6],'String','Yes','Value',1,'BackGroundColor',[0.95 0.95 0.95]);
handles.figures.boundaryconditions.radio5=uicontrol('Parent',h3,'Style','Radio','Units','Centimeters',...
    'Position',[5.5 0.25 1.1 0.6],'String','No','Value',0,'BackGroundColor',[0.95 0.95 0.95]);

%% 'Wind Parameters' field

h4=uibuttongroup('Parent',handles.figures.input.f3,'Units','Centimeters',...
    'Position',[0.2 7 14 2.1],'Title','Wind Parameters','BackGroundColor',[0.95 0.95 0.95]);

% 'Wind Velocity' field
uicontrol('Parent',h4,'Style','text','String','Wind Velocity (m/s)','Units',...
    'Centimeters','Position',[0.7 0.85 3.5 0.6],'HorizontalAlignment','left','BackGroundColor',[0.95 0.95 0.95]);
handles.figures.boundaryconditions.edit5=uicontrol('Parent',h4,'style','edit','Units',...
    'Centimeters','Position',[7 0.95 1.7 0.6],'BackGroundColor','w');
set(handles.figures.boundaryconditions.edit5,'String',10,'BackGroundColor','w');

% 'Wind Direction' field
uicontrol('Parent',h4,'Style','text','String','Wind Direction (degrees from true north)',...
    'Units','Centimeters','Position',[0.7 0.2 5.5 0.6],'HorizontalAlignment','left','BackGroundColor',[0.95 0.95 0.95]);
handles.figures.boundaryconditions.edit7=uicontrol('Parent',h4,'style','edit','Units','Centimeters','Position',[7 0.3 1.7 0.6]);
set(handles.figures.boundaryconditions.edit7,'String',0,'BackGroundColor','w','Callback',@bndcnd_annot_refresh);

%% 'Wave Parameter' field

h1=uibuttongroup('Parent',handles.figures.input.f3,'Units','Centimeters',...
    'Position',[0.2 0.2 14 6.5],'Title','Wave Parameters',...
    'SelectionChangeFcn',@bndcnd_uibuttongroup1_selectionchangefcn,'BackGroundColor',[0.95 0.95 0.95]);
handles.figures.boundaryconditions.uibuttongroup1=h1;

% 'SWAN 2-D Spectrum' button
handles.figures.boundaryconditions.radio1=uicontrol('Parent',h1,'Style','Radio','Units','Centimeters',...
    'Position',[0.7 5.2 3.5 0.5],'String','SWAN 2-D Spectrum','Enable','On','BackGroundColor',[0.95 0.95 0.95]);

% 'Load Spectrum File (.SP2)' button
handles.figures.boundaryconditions.pushbutton02=uicontrol('Parent',h1,'style','pushbutton','Enable','Off','Units','centimeters',...
    'Position',[9.5 5.2 4 0.7],'String','Load Spectrum File (.SP2)','Callback',@read_bndcnd_sp2_clbk,'BackGroundColor',[0.95 0.95 0.95]);
handles.figures.boundaryconditions.edit0=uicontrol('Parent',h1,'style','edit','Enable','Off','Units',...
    'Centimeters','Position',[5 5.2 4 0.6],'Enable','Off','BackGroundColor',[0.95 0.95 0.95]);

% 'SWAN 1-D Spectrum' button
handles.figures.boundaryconditions.radio2=uicontrol('Parent',h1,'Style','Radio','Units','Centimeters',...
    'Position',[0.7 4.2 3.5 0.5],'String','SWAN 1-D Spectrum','Enable','On','BackGroundColor',[0.95 0.95 0.95]);

% 'Load Spectrum File (.SP1)' button
handles.figures.boundaryconditions.pushbutton01=uicontrol('Parent',h1,'style','pushbutton','Enable','Off','Units','centimeters',...
    'Position',[9.5 4.2 4 0.7],'String','Load Spectrum File (.SP1)','Callback',@read_bndcnd_sp1_clbk,'BackGroundColor',[0.95 0.95 0.95]);
handles.figures.boundaryconditions.edit1=uicontrol('Parent',h1,'style','edit','Units',...
    'Centimeters','Position',[5 4.2 4 0.6],'Enable','Off','BackGroundColor',[0.95 0.95 0.95]);

% 'Wave Characteristics' button 
handles.figures.boundaryconditions.radio3=uicontrol('Parent',h1,'Style','Radio','Units','Centimeters',...
    'Position',[0.7 3.2 3.5 0.5],'String','Manual settings','Value',1,'BackGroundColor',[0.95 0.95 0.95]);

%% 'Wave Height and Period' button
%
% Edit v1.3 (Jeroen van den Bos): modified to 'wave parameters' 
% to include gamma_peak and dirspread

h2=uibuttongroup('Parent',h1,'Units','Centimeters',...
    'Position',[5 1.8 8.5 2.2],'Title','Wave parameters','BackGroundColor',[0.95 0.95 0.95]);
handles.figures.boundaryconditions.uibuttongroup2=h2;

% should include @bndcnd_uibuttongroup2_selectionchangefcn
% should include @bndcnd_radio_clbk

% Hm0 field
handles.figures.boundaryconditions.text1=uicontrol('Parent',h2,'Style','text','String',...
    'Hm0 (m)','Units','Centimeters','Position',[0.7 0.9 1.2 0.6],'HorizontalAlignment','left','BackGroundColor',[0.95 0.95 0.95]);
handles.figures.boundaryconditions.edit2=uicontrol('Parent',h2,'style','edit','Units',...
    'Centimeters','Position',[2.5 1 1.5 0.6],'BackGroundColor','w');
set(handles.figures.boundaryconditions.edit2,'String',1,'BackGroundColor','w');

% Tp field
handles.figures.boundaryconditions.text2=uicontrol('Parent',h2,'Style','text','String','Tp (s)'...
    ,'Units','Centimeters','Position',[0.7 0.2 1.2 0.6],'HorizontalAlignment','left','BackGroundColor',[0.95 0.95 0.95]);
handles.figures.boundaryconditions.edit3=uicontrol('Parent',h2,'style','edit','Units',...
    'Centimeters','Position',[2.5 0.3 1.5 0.6],'BackGroundColor','w');
set(handles.figures.boundaryconditions.edit3,'String',5)

% Gamma_peak field
handles.figures.boundaryconditions.text200=uicontrol('Parent',h2,'Style','text','String','gamma (-)'...
    ,'Units','Centimeters','Position',[4.5 0.9 1.5 0.6],'HorizontalAlignment','left','BackGroundColor',[0.95 0.95 0.95]);
handles.figures.boundaryconditions.edit300=uicontrol('Parent',h2,'style','edit','Units',...
    'Centimeters','Position',[6.5 1 1.5 0.6],'BackGroundColor','w');
set(handles.figures.boundaryconditions.edit300,'String',3.3)

% cos^m field
handles.figures.boundaryconditions.text201=uicontrol('Parent',h2,'Style','text','String','cos^m (-)'...
    ,'Units','Centimeters','Position',[4.5 0.2 1.5 0.6],'HorizontalAlignment','left','BackGroundColor',[0.95 0.95 0.95]);
handles.figures.boundaryconditions.edit301=uicontrol('Parent',h2,'style','edit','Units',...
    'Centimeters','Position',[6.5 0.3 1.5 0.6],'BackGroundColor','w');
set(handles.figures.boundaryconditions.edit301,'String',2)


%% 'Mean Wave Direction' field

h5=uibuttongroup('Parent',h1,'Units','Centimeters',...
    'Position',[5 0.2 8.5 1.6],'Title','Mean Wave Direction','Visible','On','BackGroundColor',[0.95 0.95 0.95]);
handles.figures.boundaryconditions.uibuttongroup5=h5;

handles.figures.boundaryconditions.text3=uicontrol('Parent',h5,'Style','text','String',...
    'phi (degrees from true north)','Units','Centimeters','Position',[0.7 0.2 4 0.6],'HorizontalAlignment','left','BackGroundColor',[0.95 0.95 0.95]);
handles.figures.boundaryconditions.edit6=uicontrol('Parent',h5,'style','edit','Units','Centimeters','Position',[6 0.3 1.5 0.6]);
set(handles.figures.boundaryconditions.edit6,'String',0,'BackGroundColor','w','Callback',@bndcnd_annot_refresh);

%% Other buttons

% 'Save' button
handles.figures.boundaryconditions.pushbutton1=uicontrol(handles.figures.input.f3,...
    'style','pushbutton','Units','centimeters','Position',[14.5 1.3 1.5 0.7],...
    'String','Save','Callback',@save_bndcnd_clbk,'BackGroundColor',[0.95 0.95 0.95]);

% 'Cancel' button
handles.figures.boundaryconditions.pushbutton2=uicontrol(handles.figures.input.f3,...
    'style','pushbutton','Units','centimeters','Position',[14.5 0.5 1.5 0.7],...
    'String','Cancel','Callback',@close_bndcnd_clbk,'BackGroundColor',[0.95 0.95 0.95]);

% 'Display button
handles.figures.boundaryconditions.pushbutton3=uicontrol(handles.figures.input.f3,'style',...
    'pushbutton','Units','centimeters','Position',[14.5 2.55 1.5 0.7],...
    'String','Display','Callback',@bndcnd_display_clbk,'BackGroundColor',[0.95 0.95 0.95]);

% remove figures to save structure in mat-file
handles.figures.input = rmfield(handles.figures.input,'f3');

% Set handles to 'Userdata' property
set(swan,'UserData',handles);

%% Set and save values

a=exist([handles.input.newproject.filename '.mat'],'file');
if a~=0
    han=load([handles.input.newproject.filename '.mat']);
    if isfield(han,'input')~=0
        if (isfield(han.input,'boundaryconditions')==1 && isfield(handles,'save')==1 && isfield(handles.save,'bndcnd')==1)
            set(handles.figures.boundaryconditions.radio1,'Value',han.input.boundaryconditions.radiostatus1);
            set(handles.figures.boundaryconditions.radio2,'Value',han.input.boundaryconditions.radiostatus2);
            set(handles.figures.boundaryconditions.radio3,'Value',han.input.boundaryconditions.radiostatus3);
            set(handles.figures.boundaryconditions.edit2,'String',han.input.boundaryconditions.hs); % changed
            set(handles.figures.boundaryconditions.edit3,'String',han.input.boundaryconditions.tp); % changed
            set(handles.figures.boundaryconditions.edit6,'String',han.input.boundaryconditions.meanwavedirection);
            set(handles.figures.boundaryconditions.edit4,'String',han.input.boundaryconditions.constantlevel);
            set(handles.figures.boundaryconditions.edit5,'String',han.input.boundaryconditions.windvelocity);
            set(handles.figures.boundaryconditions.edit7,'String',han.input.boundaryconditions.winddirection);
        if han.input.boundaryconditions.radiostatus1==1 % 'SWAN 2-D Spectrum' button
            set(handles.figures.boundaryconditions.edit0,'enable','On','String',han.input.boundaryconditions.sp2file)
            set(handles.figures.boundaryconditions.edit0,'Enable','On','BackGroundColor','w')
            set(handles.figures.boundaryconditions.edit1,'enable','On')
            set(handles.figures.boundaryconditions.edit2,'enable','Off')
            set(handles.figures.boundaryconditions.edit300,'enable','Off')
            set(handles.figures.boundaryconditions.edit301,'enable','Off')
            set(handles.figures.boundaryconditions.edit3,'enable','Off')
            set(handles.figures.boundaryconditions.edit6,'enable','Off')
            set(handles.figures.boundaryconditions.text1,'ForegroundColor',[0.5 0.5 0.5])
            set(handles.figures.boundaryconditions.text2,'ForegroundColor',[0.5 0.5 0.5])
            set(handles.figures.boundaryconditions.text3,'ForegroundColor',[0.5 0.5 0.5])
            set(handles.figures.boundaryconditions.text200,'ForegroundColor',[0.5 0.5 0.5])
            set(handles.figures.boundaryconditions.text201,'ForegroundColor',[0.5 0.5 0.5])
        end
        if han.input.boundaryconditions.radiostatus2==1 % 'SWAN 1-D Spectrum' button
            set(handles.figures.boundaryconditions.edit0,'enable','Off')
            set(handles.figures.boundaryconditions.edit1,'enable','On','String',han.input.boundaryconditions.sp1file)
            set(handles.figures.boundaryconditions.edit1,'enable','On','BackGroundColor','w')
            set(handles.figures.boundaryconditions.edit2,'enable','Off')
            set(handles.figures.boundaryconditions.edit300,'enable','Off')
            set(handles.figures.boundaryconditions.edit301,'enable','Off')
            set(handles.figures.boundaryconditions.edit3,'enable','Off')
            set(handles.figures.boundaryconditions.edit6,'enable','Off')
            set(handles.figures.boundaryconditions.radio2,'Value',1);
            set(handles.figures.boundaryconditions.text2,'ForegroundColor',[0.5 0.5 0.5])
            set(handles.figures.boundaryconditions.text3,'ForegroundColor',[0.5 0.5 0.5])
            set(handles.figures.boundaryconditions.text200,'ForegroundColor',[0.5 0.5 0.5])
            set(handles.figures.boundaryconditions.text201,'ForegroundColor',[0.5 0.5 0.5])
        end
        if han.input.boundaryconditions.radiostatus3==1 % 'Manual settings' button 
            set(handles.figures.boundaryconditions.edit0,'enable','Off')
            set(handles.figures.boundaryconditions.edit1,'enable','Off')
            set(handles.figures.boundaryconditions.edit2,'enable','On')
            set(handles.figures.boundaryconditions.edit3,'enable','On')
            set(handles.figures.boundaryconditions.edit300,'enable','On')
            set(handles.figures.boundaryconditions.edit301,'enable','On')
            set(handles.figures.boundaryconditions.edit6,'enable','On')    
            set(handles.figures.boundaryconditions.text1,'ForegroundColor',[0 0 0])
            set(handles.figures.boundaryconditions.text2,'ForegroundColor',[0 0 0])
            set(handles.figures.boundaryconditions.text3,'ForegroundColor',[0 0 0])
            set(handles.figures.boundaryconditions.text200,'ForegroundColor',[0 0 0])
            set(handles.figures.boundaryconditions.text201,'ForegroundColor',[0 0 0])
        end
        if han.input.boundaryconditions.radiostatus4==1
            set(handles.figures.boundaryconditions.radio4,'Value',1)
            set(handles.figures.boundaryconditions.radio5,'Value',0)
        end
        if han.input.boundaryconditions.radiostatus5==1
            set(handles.figures.boundaryconditions.radio4,'Value',0)
            set(handles.figures.boundaryconditions.radio5,'Value',1)
        end
        end
    end
end
end
