function btm_profile_clbk(varargin)

% Creating the bottom profile

% Find structure and handles
global handles
swan=findobj('Tag','swan1d');
handles=get(swan,'Userdata');

% Create new figure
handles.figures.input.f1=figure;

% Set figure
set(handles.figures.input.f1,'Name','SwanOne - Bottom Profile','Units','Centimeters','Position',...
    [16 8 12 12],'Menubar','none','Numbertitle','Off','Tag','Bottom Profile','Color',[0.95 0.95 0.95],'CloseRequestFcn',@close_btmprofile_clbk);
set(handles.swan1d.menu.input.bottomprofile,'CallBack',@do_nothing);

%% 'Input Medium' field

h1=uibuttongroup('Parent',handles.figures.input.f1,'Units','Centimeters','Position',...
    [0.1 8.2 4.7 3.6],'Title','Input Medium','BackGroundColor',[0.95 0.95 0.95]);

% 'XYZ data file' button
handles.figures.bottomprofile.radio1=uicontrol('Parent',h1,'Style','Radio','Units','Centimeters',...
    'Position',[0.3 2.1 3 0.5],'String','XYZ data file','value',0,'Enable','Off','BackGroundColor',[0.95 0.95 0.95]);

% 'XZ data file' button
handles.figures.bottomprofile.radio2=uicontrol('Parent',h1,'Style','Radio','Units','Centimeters',...
    'Position',[0.3 1.4 3 0.5],'String','XZ data file','Value',1,'BackGroundColor',[0.95 0.95 0.95]);

% 'Manual' button
handles.figures.bottomprofile.radio3=uicontrol('Parent',h1,'Style','Radio','Units','Centimeters',...
    'Position',[0.3 0.7 3 0.5],'String','Manual','Enable','Off','BackGroundColor',[0.95 0.95 0.95]);

%% 'Bottom File' field and graph

h2=uibuttongroup('Parent',handles.figures.input.f1,'Units','Centimeters',...
    'Position',[5 7.4 5.2 4.4],'Title','Bottom Profile','BackGroundColor',[0.95 0.95 0.95]);

handles.figures.bottomprofile.bottomaxes=axes('Parent',h2,'Units','Centimeters','Position',[0.8 0.7 4 3],'Color',[0.7 0.7 0.7],...
    'Xlim',[0 100],'Ylim',[0 100],'Xtick',[0:10:100],'ytick',[0:10:100],'FontSize',5);
xlabel('S(m)');
ylabel('Z(m)');

h3=uibuttongroup('Parent',handles.figures.input.f1,'Units','Centimeters',...
    'Position',[0.1 4.8 4.7 3],'Title','Bottom File','BackGroundColor',[0.95 0.95 0.95]);
handles.figures.bottomprofile.pushbutton1=uicontrol('Parent',h3,'style','pushbutton','Units','centimeters','Position',[0.5 1.5 2 0.7],...
    'String','Load File...','Callback',@read_btmprofile_clbk,'BackGroundColor',[0.95 0.95 0.95]);
handles.figures.bottomprofile.edit1=uicontrol('Parent',h3,'style','edit','Units','Centimeters','Position',[0.1 0.54 4.4 0.6],'BackGroundColor','w');

%% 'Direction of Normal to the Coast' field

h4=uibuttongroup('Parent',handles.figures.input.f1,'Units','Centimeters',...
    'Position',[0.1 0.1 4.7 4.5],'Title','Direction of Normal to the Coast','BackGroundColor',[0.95 0.95 0.95]);

% Alpha field
text1=uicontrol('Parent',h4,'Style','text','String','Alpha','Units','Centimeters',...
    'Position',[0.05 3.2 0.8 0.6],'BackGroundColor',[0.95 0.95 0.95]);
handles.figures.bottomprofile.edit2=uicontrol('Parent',h4,'style','edit','Units',...
    'Centimeters','Position',[0.95 3.3 1 0.6],'BackGroundColor','white','CallBack',@btmprofile_annot_refresh);
set(handles.figures.bottomprofile.edit2,'String','180');
%handles.figures.bottomprofile.edit3=uicontrol('Parent',h4,'style','edit','Units',...
%    'Centimeters','Position',[3 3.3 1 0.6],'Enable','Off');

% 'Display' button
handles.figures.bottomprofile.pushbutton6=uicontrol('Parent',h4,'style','pushbutton',...
    'Units','centimeters','Position',[2.4 3.2 2 0.7],...
    'String','Display','Callback',@btmprofile_display_annot,'BackGroundColor',[0.95 0.95 0.95]);

%set(handles.figures.bottomprofile.edit3,'String','0');
%text1=uicontrol('Parent',h4,'Style','text','String','Coast','Units','Centimeters','Position',[2.06 3.2 0.8 0.6]);

%% 'Manual' field

h5=uibuttongroup('Parent',handles.figures.input.f1,'Units','Centimeters',...
    'Position',[5 0.1 5.2 7.2],'Title','Manual','BackGroundColor',[0.95 0.95 0.95]);

%% Other buttons

% 'Cancel' button
handles.figures.bottomprofile.pushbutton2=uicontrol(handles.figures.input.f1,'style','pushbutton','Units','centimeters',...
    'Position',[10.4 0.1 1.5 0.7],'String','Cancel','callback',@close_btmprofile_clbk,'BackGroundColor',[0.95 0.95 0.95]);

% 'Save' button
handles.figures.bottomprofile.pushbutton3=uicontrol(handles.figures.input.f1,'style','pushbutton','Units','centimeters',...
    'Position',[10.4 1 1.5 0.7],'String','Save','CallBack',@save_btmprofile_clbk,'BackGroundColor',[0.95 0.95 0.95]);

handles.figures.bottomprofile.pushbutton4=uicontrol(handles.figures.input.f1,'style','pushbutton','Units','centimeters',...
    'Position',[10.25 5.6 1.65 0.7],'String','Delete Row','BackGroundColor',[0.95 0.95 0.95],'Enable','Off');
handles.figures.bottomprofile.pushbutton5=uicontrol(handles.figures.input.f1,'style','pushbutton','Units','centimeters',...
    'Position',[10.25 6.4 1.65 0.7],'String','Insert Row','BackGroundColor',[0.95 0.95 0.95],'Enable','Off');
set(handles.figures.input.f1,'UserData',handles.figures.bottomprofile);

% remove figures to save structure in mat-file
handles.figures.input = rmfield(handles.figures.input,'f1');

% Set handles to 'Userdata' property
set(swan,'UserData',handles);

filename=handles.input.newproject.filename;
addpath('Working Directory');
a=exist([handles.input.newproject.filename '.mat'],'file');

if a~=0
    han=load([handles.input.newproject.filename '.mat']);
    B=isfield(han.input,'bottomprofile');
    if B~=0
        B=isfield(han.input.bottomprofile,'alpha');
        if B~=0
            set(handles.figures.bottomprofile.edit2,'String',handles.input.bottomprofile.alpha);        
        end
        C=isfield(han.input.bottomprofile,'bathymetry');
        if C~=0
            set(handles.figures.input.f1,'CurrentAxes',handles.figures.bottomprofile.bottomaxes);
            bottomprofile=handles.input.bottomprofile.bathymetry;
            plot(bottomprofile(:,1),bottomprofile(:,2)),grid;
            set(handles.figures.bottomprofile.edit1,'String',handles.input.bottomprofile.name);
        end
    end
end

end

    






