function createfile_newproject_clbk(varargin)

% Find structure and handles
global handles
swan=findobj('Tag','swan1d');
handles=get(swan,'UserData');

set(handles.swan1d.menu.file.m,'Enable','On')
set(handles.swan1d.menu.output.m,'Enable','Off')

fclose('all');

if isfield(handles,'save')==1
    handles=rmfield(handles,'save');
end
if isfield(handles,'input')==1
    handles=rmfield(handles,'input');
end

%% Deleting the file remaining from the previous project
if isstruct(handles)==1
    if isfield(handles,'previousproject')==1
        if isfield(handles.previousproject,'filename')==1
            fclose('all');
           filename=handles.previousproject.filename;
           delete(filename);
        end
    end
end
aaa=cd;   %current directory of matlab          

%% Creating new file

    foldername=get(handles.figures.newproject.edit1,'String');
    filename=get(handles.figures.newproject.edit2,'String');
    if exist(foldername,'dir')==0
        he=figure('Name','Error','Units','Centimeters','Position',...
            [10 8 10 5],'Menubar','none','Numbertitle','Off','Tag','Bottom Profile','Color',[0.95 0.95 0.95]);
        uicontrol('Parent',he,'Style','text','String',...
            'No Folder with the Given Name was Found!',...
            'Units','Centimeters','Position',[1 1.8 8 1.5],'FontSize',10,'FontWeight','bold');
        uicontrol('Parent',he,'Style','pushbutton','String','Ok','Units','Centimeters','Position',[4 1 2 0.7],'Callback','close');
        cd(aaa);
        %winontop(he);
    end
    cd(foldername)
    if exist([foldername filename ' files'],'dir')==7
        rmdir([foldername filename ' files'],'s');
    end
    cd(aaa)
    handles.input.newproject.filename=filename;
    handles.input.newproject.foldername=foldername;
sFolder = [pwd '\Working Directory'];    
if exist(sFolder,'dir')==7
    cd(sFolder)
    fid=fopen(filename,'wt+');
    cd('..')
    addpath(sFolder)
else
    mkdir(sFolder);
    cd(sFolder);
    fid=fopen(filename,'wt+');
    cd('..')
    addpath(sFolder);
end  
drrr=0; 
if fid<0 || fid==0
    he=figure('Name','Error','Units','Centimeters','Position',...
      [10 8 8 4],'Menubar','none','Numbertitle','Off','Color',[1 0.7 0]);
    %winontop(he);
    uicontrol(he,'style','pushbutton','Units','centimeters','Position',[3.4 1 1.5 0.7],...
    'String','close','Callback','close','BackGroundColor',[0.95 0.95 0.95]);
    uicontrol('Parent',he,'Style','text','String','Enter the Name of the Project!','Units','Centimeters',...
        'Position',[1.5 1.9 5 1],'BackGroundColor',[1 0.7 0],'FontWeight','bold');
    drrr=1;
else
    drrr=0;
end
ca='''';
set(swan,'UserData',handles);
fseek(fid,0,'cof');
fprintf(fid,'%s\n',['PROJECT ',ca,filename,ca,ca,'A577',ca,' ' ,ca '1' ca '  ']);
fprintf(fid,'%s\n','MODE STATIONARY ONED        ');
fprintf(fid,'%s\n','SET DEPMIN=0.01 MAXMES=999 MAXERR=3 PWTAIL=4              ');
fprintf(fid,'%s\n','SET LEVEL 0             ');
fprintf(fid,'%s\n','SET CARTESIAN             ');
fprintf(fid,'%s\n','SETUP 0               ');
fprintf(fid,'%s\n','CGRID REGULAR 0 0 0 1000 0. 100 &                          ');
fprintf(fid,'%s\n','CIRCLE 36 0.03 0.8 30       ');
fprintf(fid,'%s\n','BOUND SHAPE JONSWAP 3.3 PEAK DSPR POWER               ');
fprintf(fid,'%s\n','INPGRID BOTTOM REGULAR 0 0 0 100 0 10 1             ');
fprintf(fid,'%s\n','READ BOTTOM                                                          ');
%% Input for current
%fprintf(fid,'%s\n','INPGRID VX REGULAR 0 0 0 100 0 10 1             ');
%fprintf(fid,'%s\n','INPGRID VY REGULAR 0 0 0 100 0 10 1             ');
fprintf(fid,'%s\n','$NPGRID CURRENT REGULAR 0 0 0 100 0 10 1             ');
fprintf(fid,'%s\n','$EAD CURRENT                                                          ');
%%
fprintf(fid,'%s\n','BOUN SIDE W CONSTANT PAR 1 5 0 2                                      ');
fprintf(fid,'%s\n','WIND 10 0        ');
fprintf(fid,'%s\n','GEN3 KOMEN       ');
fprintf(fid,'%s\n','BREAK 1. 0.73            ');
fprintf(fid,'%s\n','FRIC JONSWAP           ');
fprintf(fid,'%s\n','TRIAD             ');
fprintf(fid,'%s\n','NUM ACCUR 0.02 0.02 0.02 98 15          ');
fprintf(fid,'%s\n',['OUTPUT OPTIONS ' ca '%' ca ' TABLE 16 BLOCK 9 1000 SPEC 8       ']);
fprintf(fid,'%s\n',['CURVE '  ca 'curve' ca ' 0 0 100 .00 -1000 .00            ']);
fprintf(fid,'%s\n',['Table ' ca 'curve' ca ' HEADER ' ca filename '.tab' ca ' XP YP HSIGN RTP TM01 TMM10 DIR &  ']);
fprintf(fid,'%s\n','DSPR DEPTH SETUP       ');
fclose(fid);
if drrr==0
    set(handles.swan1d.menu.input.m,'Enable','On');
    set(handles.swan1d.menu.computation.m,'Enable','On');
    set(handles.swan1d.menu.input.outputlocations,'Enable','Off')
end

% clear existing and saved project
clearvars handles.saveproject.fullpathname_sp_extension=

% remove figures to save structure in mat-file
handles.swan1d = rmfield(handles.swan1d,'fig1');
handles.figures.newproject = rmfield(handles.figures.newproject,'f2');

% Set handles to 'Userdata' property
set(swan,'UserData',handles)

cd('Working Directory')

% save structure in mat-file
save(filename,'-struct','handles','-v7.3')
cd('..')
delete(gcbf)

end



%{
else
    foldername=get(handles.figures.newproject.edit3,'String');
    filename=get(handles.figures.newproject.edit4,'String');
    addpath(foldername);
    if exist([filename '.MAT'],'file')==2
        if exist([filename '.SWN'],'file')==2
            handles=load([get(handles.figures.newproject.edit4,'String') '.MAT']);
         %   set(handles.swan1d.menu.input.m,'Enable','On');
        %    set(handles.swan1d.menu.computation.m,'Enable','On');
         %   set(handles.swan1d.menu.input.outputlocations,'Enable','Off');
            set(swan,'UserData',handles)
            save(filename,'-struct','handles')
            close(gcbf)
        else
            he=figure('Name','Error','Units','Centimeters','Position',...
                   [10 9 10 5],'Menubar','none','Numbertitle','Off','Tag','Bottom Profile','Color',[1 0.7 0]);
            uicontrol('Parent',he,'Style','text','String',...
                 'The .SWN File Could not be Found in the Current Folder!',...
                 'Units','Centimeters','Position',[1 2 8.3 2],'FontSize',10,'FontWeight','bold','BackGroundColor',[1 0.7 0]);
            uicontrol(he,'style','pushbutton','Units','centimeters',...
                 'Position',[4.5 0.8 1.5 0.7],'String','Ok','CallBack','close','FontWeight','bold','FontSize',9);
            winontop(he)
        end
    else
        he=figure('Name','Error','Units','Centimeters','Position',...
                   [10 9 10 5],'Menubar','none','Numbertitle','Off','Tag','Bottom Profile','Color',[1 0.7 0]);
            uicontrol('Parent',he,'Style','text','String',...
                 'The .MAT File Could not be Found in the Current Folder!',...
                 'Units','Centimeters','Position',[1 2 8.3 2],'FontSize',10,'FontWeight','bold','BackGroundColor',[1 0.7 0]);
            uicontrol(he,'style','pushbutton','Units','centimeters',...
                 'Position',[4.5 0.8 1.5 0.7],'String','Ok','CallBack','close','FontWeight','bold','FontSize',9);
            winontop(he)
    end
end
end
%}

