function def_current_clbk(varargin)

% Find structure and handles
global handles
swan=findobj('Tag','swan1d');
handles=get(swan,'UserData');

handles.figures.input.f2=figure('Name','SwanOne - Define Current','Units','Centimeters','Position',...
    [10 8 12 9],'Menubar','none','Numbertitle','Off','Tag','Bottom Profile','Color',[0.95 0.95 0.95],'CloseRequestFcn',@close_defcurrent_clbk);
% winontop(handles.figures.input.f2);
%set(handles.swan1d.menu.input.m,'Enable','Off');
%set(handles.swan1d.menu.file.m,'Enable','Off');
set(handles.swan1d.menu.computation.m,'Enable','Off');
set(handles.swan1d.menu.input.definecurrents,'CallBack',@do_nothing);

%% 'Current Definition' field
h1=uibuttongroup('Parent',handles.figures.input.f2,'Units','Centimeters',...
    'Position',[0.1 5.5 4.3 3.4],'Title','Current Definition',...
    'SelectionChangeFcn',@uibuttongroup_defcurrent_clbk,'BackGroundColor',[0.95 0.95 0.95]);
handles.figures.currentprofile.uibuttongroup1=h1;

% 'No Current' button
handles.figures.currentprofile.radio1=uicontrol('Parent',h1,'Style','Radio','Units','Centimeters',...
    'Position',[0.3 2.1 3 0.5],'String','No Current','BackGroundColor',[0.95 0.95 0.95]);

    % Set inital current 0
    handles.input.definecurrent.currentvelocity=0;
    handles.save.defcurrent=1;
    handles.input.definecurrent.uistatus3=0;
    
% 'Chezy' button
handles.figures.currentprofile.radio2=uicontrol('Parent',h1,'Style','Radio','Units','Centimeters',...
    'Position',[0.3 1.4 3 0.5],'String','Chezy','Enable','Off','BackGroundColor',[0.95 0.95 0.95]);

% 'Current File' button
handles.figures.currentprofile.radio3=uicontrol('Parent',h1,'Style','Radio','Units','Centimeters',...
    'Position',[0.3 0.7 3 0.5],'String','Current File','Enable','On','BackGroundColor',[0.95 0.95 0.95]);

%% 'Chezy' field
h2=uibuttongroup('Parent',handles.figures.input.f2,'Units','Centimeters',...
    'Position',[0.1 3.2 4.3 2],'Title','Chezy','Visible','On','BackGroundColor',[0.95 0.95 0.95]);
handles.figures.currentprofile.uibuttongroup2=h2;

% 'Current Velocity' field
handles.figures.currentprofile.text=uicontrol('Parent',h2,'Style','text','String','Current Velocity (m/s)',...
    'Units','Centimeters','Position',[0.1 0.75 3 0.6],'ForegroundColor',[0.5 0.5 0.5],'BackGroundColor',[0.95 0.95 0.95]);
handles.figures.currentprofile.edit1=uicontrol('Parent',h2,'style','edit',...
    'Units','Centimeters','Position',[0.3 0.25 3 0.6],'Enable','Off','BackGroundColor',[0.95 0.95 0.95]);

%% Other buttons

% 'Save' button
handles.figures.currentprofile.pushbutton2=uicontrol(handles.figures.input.f2,'style',...
    'pushbutton','Units','centimeters','Position',[0.5 1.3 1.5 0.7],...
    'String','Save','CallBack',@save_defcurrent_clbk,'BackGroundColor',[0.95 0.95 0.95]);

% 'Cancel' button
handles.figures.currentprofile.pushbutton1=uicontrol(handles.figures.input.f2,'style',...
    'pushbutton','Units','centimeters','Position',[0.5 0.5 1.5 0.7],...
    'String','Cancel','callback',@close_defcurrent_clbk,'BackGroundColor',[0.95 0.95 0.95]);

%% 'Loading a Current File' field
h3=uibuttongroup('Parent',handles.figures.input.f2,'Units','Centimeters',...
    'Position',[4.5 0.1 7.3 8.8],'Title','Load Current File',...
    'SelectionChangeFcn',@uibuttongroup_plotcurrent_clbk,'BackGroundColor',[0.95 0.95 0.95]);

% creating graph
xlenc=handles.input.bottomprofile.xlenc;
handles.figures.currentprofile.currentaxes=axes('Parent',h3,'Units','Centimeters','Position',[0.9 4.3 5.2 3.8],'Color',[0.7 0.7 0.7],...
    'Xlim',[0 xlenc],'Xtick',0:(xlenc/10):xlenc,'FontSize',5);
xlabel('Distance(m)');
ylabel('U(m/s)');

% 'Display X-Component' button
handles.figures.currentprofile.radio4=uicontrol('Parent',h3,'Style','Radio','Units','Centimeters',...
    'Position',[0.2 2.8 3.4 0.5],'String','Display X-Component','Enable','Off','BackGroundColor',[0.95 0.95 0.95]);

% 'Display Y-Component' button
handles.figures.currentprofile.radio5=uicontrol('Parent',h3,'Style','Radio','Units','Centimeters',...
    'Position',[3.5 2.8 3.4 0.5],'String','Display Y-Component','Enable','Off','BackGroundColor',[0.95 0.95 0.95]);

% 'Load File...' button
handles.figures.currentprofile.pushbutton3=uicontrol('Parent',h3,'style','pushbutton','Units','centimeters',...
    'Position',[1 1.9 1.7 0.7],'String','Load File...','Enable',...
    'Off','Callback',@read_defcurrent_clbk,'BackGroundColor',[0.95 0.95 0.95]);
handles.figures.currentprofile.edit2=uicontrol('Parent',h3,'style','edit','Units','Centimeters',...
    'Position',[1 0.8 4.4 0.6],'BackGroundColor','w','Enable','Off','BackGroundColor',[0.95 0.95 0.95]);

% remove figures to save structure in mat-file
handles.figures.input = rmfield(handles.figures.input,'f2');

% Set handles to 'Userdata' property
set(swan,'UserData',handles);

%set(handles.figures.input.f2,'UserData',handles.figures.currentprofile);

%%
a=exist([handles.input.newproject.filename '.mat'],'file');
if a~=0
    han=load([handles.input.newproject.filename '.mat']);
    if isfield(han,'input')~=0
        if isfield(han.input,'definecurrent')~=0
            set(handles.figures.currentprofile.radio1,'Value',han.input.definecurrent.uistatus1)
            set(handles.figures.currentprofile.radio2,'Value',han.input.definecurrent.uistatus2)
            set(handles.figures.currentprofile.radio3,'Value',han.input.definecurrent.uistatus3)
            if han.input.definecurrent.uistatus2==1
                set(handles.figures.currentprofile.edit1,'String',han.input.definecurrent.currentvelocity);
            end
            if han.input.definecurrent.uistatus3==1
                set(handles.figures.currentprofile.edit2,'String',han.input.definecurrent.currentfilename)
                set(handles.figures.currentprofile.edit2,'Enable','On');
                set(handles.figures.currentprofile.pushbutton3,'Enable','On');
                set(handles.figures.currentprofile.radio4,'Enable','On');
                set(handles.figures.currentprofile.radio5,'Enable','On');
                currentprofile=handles.input.currentprofile.currentprofile;
                plot(handles.figures.currentprofile.currentaxes,currentprofile(:,1),currentprofile(:,2)),grid
                xlabel('Distance(m)');
                ylabel('U(m/s)');
            end
            if han.input.definecurrent.uistatus2==1
                set(handles.figures.currentprofile.edit1,'Enable','On')
                set(handles.figures.currentprofile.text,'ForegroundColor',[0 0 0]);
            end
        end
    end
end
end



