function display_outputlocation_clbk(varargin)

% Find structure and handles
global handles
swan=findobj('Tag','swan1d');
handles=get(swan,'Userdata');

string=[];
for i=1:8
    string(i)=str2num(get(handles.figures.outputlocation.edit(i),'String'));
end
bathymetry=handles.input.bottomprofile.bathymetry;
X=bathymetry(:,1);
Z=bathymetry(:,2);
n=length(X);
k=0;
for i=1:8
    if string(i)~=0
        k=k+1;
        point(k)=str2num(get(handles.figures.outputlocation.edit(i),'String'));
    end
end

for i=1:length(point)
    if point(i)>X(length(X)) || point(i)<X(1)
        he=figure('Name','Error','Units','Centimeters','Position',...
      [10 8 8 4],'Menubar','none','Numbertitle','Off','Color',[1 0.8 0]);
      uicontrol('Parent',he,'Style','text','String','Entering Output Location Out of Bound!!',...
          'Units','Centimeters','Position',[1.85 0.1 4 3],'FontSize',9,'FontWeight','bold','BackGroundColor',[1 0.8 0]);
      uicontrol(he,'style','pushbutton','Units','centimeters',...
              'Position',[3.2 0.8 1.5 0.7],'String','Ok','CallBack','close','FontWeight','bold','FontSize',9);
      handles.input.definecurrent.error=1;
      winontop(he)
    else
        x1=find(X<=point(i));
        x2=find(X>point(i));
        z1=Z(x1(length(x1)));
        z2=Z(x2(1));
        x1=X(length(x1));
        x2=X(x2(1));    
        z=(z2-z1)/(x2-x1)*(point(i)-x1)+z1;
        hold on
        plot(point(i),z,'s','color','r','MarkerSize',8,'MarkerFaceColor','r','MarkerEdgeColor','k')
    end
    
% Set handles to 'Userdata' property
set(swan,'UserData',handles);

end
