function execution_computation_clbk(varargin)

% Find structure and handles
global handles
swan=findobj('Tag','swan1d');
handles=get(swan,'Userdata');

addpath('Working Directory')
set(handles.swan1d.menu.output.m,'Enable','On');
xlenc=handles.input.bottomprofile.xlenc;
handles.oldmemory.dx=xlenc/handles.oldmemory.nofsteps;
dx=str2num(get(handles.figures.startcomp.edit1,'String'));                
btmsteps=str2num(get(handles.figures.startcomp.edit2,'String'));

if handles.oldmemory.nofsteps~=btmsteps
    handles.oldmemory.nofsteps=btmsteps;
    set(handles.figures.startcomp.edit1,'String',num2str(xlenc/btmsteps));
    dx=xlenc/btmsteps;
    handles.oldmemory.dx=dx;
    handles.input.btmsteps=btmsteps;
end

if handles.oldmemory.dx~=dx
    handles.oldmemory.dx=str2num(get(handles.figures.startcomp.edit1,'String'));
    handles.oldmemory.nofsteps;
    dx=str2num(get(handles.figures.startcomp.edit1,'String'));
    set(handles.figures.startcomp.edit2,'String',num2str(fix(xlenc/dx)));
    btmsteps=fix(xlenc/dx);
    handles.oldmemory.nofsteps=btmsteps;
    handles.input.btmsteps=btmsteps;
end

handles.input.dx=dx;
handles.input.btmsteps=btmsteps;
aaa=cd;
filename=handles.input.newproject.filename;
foldername=handles.input.newproject.foldername;

%% CGRID COMMAND
%alpc=handles.input.bottomprofile.alpc;
%alpc=290
fid=fopen(filename,'r+');
if fid<=0
    fid=fopen([filename '.swn'],'rt+');
end
s=fscanf(fid,'%c');
frewind(fid);
ind=strfind(s,'CGRID REGULAR');
ind=ind-1;
fseek(fid,ind,'bof');
fprintf(fid,'%s',['CGRID REGULAR 0 0 0' ...
      ' ' num2str(xlenc)  ' 0. ' num2str(handles.input.btmsteps) ' 0 &     ']);
fclose(fid);

%% Bottom Profile file existence checks

%S=zeros(handles.oldmemory.nofsteps);
if exist([foldername '\' filename ' files'])==7
    if exist([foldername '\' filename '_bot.dat'],'file')==2
        delete([foldername '\' filename '_bot.dat'])
    end
end    
fid=fopen([filename '_bot.dat'],'wt+');
fseek(fid,0,'cof');
ca='''';
%fseek(fid,0,'cof');

%% Bottom Profile Creation
bathymetry=handles.input.bottomprofile.bathymetry;
X=bathymetry(:,1);
Z=bathymetry(:,2);
n=length(X);
totaldepth=Z(n)-Z(1);
S(1)=xlenc;
for i=1:(btmsteps+1)
    k=1;
    if i~=1
        x(i)=(i-1)*dx;
    else
        x(i)=0;
        z(i)=-Z(1);
    end
    for j=2:n
        if j~=n
            if x(i)>X(j)
                if x(i)<X(j+1)
                    k=j;
                    break
                else 
                    if x(i)==X(j+1)
                        k=j;
                    end
                end
            
            else
                if x(i)==X(j)
                    k=j;
                end
            end
            %end
        else
            break
        end
    end
    if i~=1
        z(i)=-((Z(k+1)-Z(k))/(X(k+1)-X(k))*(x(i)-X(k))+Z(k));

    end
         fprintf(fid,'%s\n',num2str(z(i)));   
end
  
handles.input.bottomprofile.bottomprofile=z;      
handles.input.startcomp.bottom=z;
fclose(fid);
ca='''';

%% BOTTOM COMMAND
fid=fopen(filename,'r+');
if fid<=0
    fid=fopen([filename '.SWN'],'rt+');
end
s=fscanf(fid,'%c');
frewind(fid);
ind=strfind(s,'READ BOTTOM');
ind=ind-1;
fseek(fid,ind,'bof');
fprintf(fid,'%s',['READ BOTTOM 1. ' ca filename '_bot.dat ' ca '1 0 FREE    ']);
fclose(fid);

%% INPGRID FILE COMMAND
%alpin=handles.input.bottomprofile.alpin;
%alpin=290;
fid=fopen(filename,'r+');
if fid<=0
    fid=fopen([filename '.SWN'],'rt+');
end
s=fscanf(fid,'%c');
frewind(fid);
ind=strfind(s,'INPGRID');
ind1=ind(1)-1;
fseek(fid,ind1,'bof');
fprintf(fid,'%s',['INPGRID BOTTOM REGULAR 0 0 0' ' ' num2str(handles.input.btmsteps) ' 0 ' num2str(handles.input.dx) ' 1      ']);
fclose(fid);

%% INPGRID and READinp for CURRENT 
%%%%%%%% Interpolation for X direction Current Values
if handles.input.definecurrent.uistatus3==1
currentprofile=handles.input.currentprofile.currentprofile;
X=[];x=[];Z=[];z=[];Xtemp=[];Ztemp=[];
X=currentprofile(:,1)';
Z=currentprofile(:,2)';
xbtm=bathymetry(:,1)';
if X(1)>xbtm(1)
    X=[xbtm(1) X];
    Z=[0 Z];
end
if X(length(X))<xbtm(length(xbtm))
    X=[X xbtm(length(xbtm))];
    Z=[Z 0];
end
n=length(X);
k=1;
for i=floor((X(n)-X(1))/handles.input.dx+1)
    if i==1
        x(1)=X(1);
        z(i)=Z(1);
    end
    if i~=1
        x(i)=X(1)+handles.input.dx*(i-1);
        if x(i)>=X(k) && x(i)<=X(k+1)
            z(i)=((Z(k+1)-Z(k))/(X(k+1)-X(k))*(x(i)-X(k))+Z(k));
        else
            if (k+1)<length(X)
                k=k+1;
                z(i)=((Z(k+1)-Z(k))/(X(k+1)-X(k))*(x(i)-X(k))+Z(k));
            end
            if (k+1)==length(x)
                z(i)=((Z(k+1)-Z(k))/(X(k+1)-X(k))*(x(i)-X(k))+Z(k));
            end
        end
    end
end
handles.input.startcomp.V=z; 
%%%%%%%% Interpolation for X direction Current Values
X=[];x=[];Z=[];z=[];
X=currentprofile(:,1)';
Z=currentprofile(:,2)';
xbtm=bathymetry(:,1)';
if X(1)>xbtm(1)
    X=[xbtm(1) X];
    Z=[0 Z];
end
if X(length(X))<xbtm(length(xbtm))
    X=[X xbtm(length(xbtm))];
    Z=[Z 0];
end
n=length(X);
k=1;
for i=1:floor((X(n)-X(1))/handles.input.dx+1)
    if i==1
        x(1)=X(1);
        z(i)=Z(1);
    end
    if i~=1
        x(i)=X(1)+handles.input.dx*(i-1);
        if x(i)>=X(k) && x(i)<=X(k+1)
            z(i)=((Z(k+1)-Z(k))/(X(k+1)-X(k))*(x(i)-X(k))+Z(k));
        else
            if (k+1)<length(X)
                k=k+1;
                z(i)=((Z(k+1)-Z(k))/(X(k+1)-X(k))*(x(i)-X(k))+Z(k));
            end
            if (k+1)==length(x)
                z(i)=((Z(k+1)-Z(k))/(X(k+1)-X(k))*(x(i)-X(k))+Z(k));
            end
        end
    end
end
handles.input.startcomp.V=[handles.input.startcomp.V,z];
handles.input.startcomp.V=handles.input.startcomp.V';
V=handles.input.startcomp.V;
save([filename '_U.DAT'],'V','-ascii','-tabs')
fid=fopen(filename,'r+');
if fid<=0
    fid=fopen([filename '.SWN'],'rt+');
end
s=fscanf(fid,'%c');
frewind(fid);
ind=strfind(s,'NPGRID CURRENT');
ind1=ind(1)-2;
fseek(fid,ind1,'bof');
fprintf(fid,'%s',['INPGRID CURRENT REGULAR 0 0 0' ' ' num2str(handles.input.btmsteps) ' 0 ' num2str(handles.input.dx) ' 1      ']);
fclose(fid);
%{
fid=fopen(filename,'r+');
if fid<=0
    fid=fopen([filename '.SWN'],'rt+');
end
s=fscanf(fid,'%c');
frewind(fid);
ind=strfind(s,'INPGRID VY');
ind1=ind(1)-1;
fseek(fid,ind1,'bof');
fprintf(fid,'%s',['INPGRID VY REGULAR 0 0 0' ' ' num2str(handles.input.btmsteps) ' 0 ' num2str(handles.input.dx) ' 1      ']);
fclose(fid);
%}
fid=fopen(filename,'r+');
if fid<=0
    fid=fopen([filename '.SWN'],'rt+');
end
s=fscanf(fid,'%c');
frewind(fid);
ind=strfind(s,'EAD CURRENT');
ind=ind-2;
fseek(fid,ind,'bof');
fprintf(fid,'%s',['READ CURRENT 1. ' ca filename '_U.DAT ' ca '1 0 FREE    ']);
fclose(fid);
else
    fid=fopen(filename,'r+');
    if fid<=0
       fid=fopen([filename '.SWN'],'rt+');
    end
    s=fscanf(fid,'%c');
    frewind(fid);
    ind=strfind(s,'NPGRID CURRENT');
    ind1=ind(1)-2;
    fseek(fid,ind1,'bof');
    fprintf(fid,'%s',['!']);
    frewind(fid);
    ind=strfind(s,'EAD CURRENT');
    ind=ind-2;
    fseek(fid,ind,'bof');
    fprintf(fid,'%s',['!']);
    fclose(fid);
end

%% CURVE COMMAND
fid=fopen(filename,'r+');
if fid<=0
    fid=fopen([filename '.SWN'],'rt+');
end
s=fscanf(fid,'%c');
frewind(fid);
ind=strfind(s,'CURVE');
ind=ind-1;
fseek(fid,ind,'bof');
fprintf(fid,'%s',['CURVE '  ca 'curve' ca ' 0 0 ' num2str(handles.input.btmsteps) ' ' num2str(handles.input.bottomprofile.xlenc) ' 0            ']);
fclose(fid);

%% Execution itself

% remove figures to save structure in mat-file
close(handles.figures.input.f5)
handles.figures.input = rmfield(handles.figures.input,'f5');

% Set handles to 'Userdata' property
set(swan,'UserData',handles);

cd('Working Directory')
save([filename '.' 'mat'],'-struct','handles','-v7.3')
cd('..')

fid=fopen(filename,'r+');

if fid>0
    copyfile(['Working Directory\' filename],[filename '.swn']);
end

%fclose(['Working Directory\' filename])
%delete(['Working Directory\' filename '.swn'])

if exist([cd '\norm_end'],'file')==2
    delete('norm_end');
end

% addpath([foldername '\' filename ' files\'])
busy=figure('Name','Busy','Units','Centimeters','Position',...
    [11 9 6 2],'Menubar','none','Numbertitle','Off','Color',[0.95 0.95 0.95]);
uicontrol('Parent',busy,'Style','text','String','Swan is Executing Please be Patient!','Units',...
    'Centimeters','Position',[0.2 0.08 5 1.5],'FontWeight','bold','BackGroundColor',[0.95 0.95 0.95]);
% winontop(busy);
[status,cmdout] = system(['swanrun ' filename]);
if exist([aaa '\norm_end'],'file')==2
    close(busy);
    msgbox(cmdout,'Calculation complete');
    addpath('Working Directory')
%     addpath([foldername '\' filename ' files'])
    set(handles.swan1d.menu.input.m,'Enable','On');
    set(handles.swan1d.menu.file.m,'Enable','On');
    set(handles.swan1d.menu.computation.m,'Enable','On');
    cd(foldername);
    if isdir([filename ' files'])==0
        mkdir([filename ' files']);
    end
    cd(aaa)
    movefile([filename '.SWN'],[foldername '\' filename ' files']);
    movefile(['Working Directory\' filename '.MAT'],[foldername '\' filename ' files']);
    movefile([filename '.PRT'],[foldername '\' filename ' files']) ;
    movefile([filename '.TAB'],[foldername '\' filename ' files']);
    movefile([filename '_bot.DAT'],[foldername '\' filename ' files']);
    if handles.input.definecurrent.uistatus3==1
        movefile([filename '_U.DAT'],[foldername '\' filename ' files']);
    end
    counter=0;
    try
        addpath([foldername '\' filename ' files']);
    end
    for i=1:8
        if handles.input.outputlocation.point(i)~=0
            counter=counter+1;
        end
    end
    if counter~=0
        for i=1:counter
            movefile([filename '_point' num2str(i) '.SP1'],[foldername '\' filename ' files']);
            movefile([filename '_point' num2str(i) '.SP2'],[foldername '\' filename ' files']);
        end
    end
    fclose(fid);
else
    close(busy);
    msgbox(cmdout,'Calculation error');   
    errorfigure=figure('Name','Error','Units','Centimeters','Position',...
        [11 9 6 2],'Menubar','none','Numbertitle','Off','Color',[1 0.7 0]);
    uicontrol('Parent',errorfigure,'Style','text','String','Error Finalising the Computation!','Units',...
        'Centimeters','Position',[0.5 0.08 5 1.5],'FontWeight','bold','BackGroundColor',[1 0.7 0]);
    uicontrol(errorfigure,'style','pushbutton','Units','centimeters','Position',[2.25 0.3 1.5 0.7],...
    'String','close','Callback','close','BackGroundColor',[0.95 0.95 0.95]);
    %winontop(errorfigure);
end

end