function output_location_clbk(varargin)

% Find structure and handles
global handles
swan=findobj('Tag','swan1d');
handles=get(swan,'Userdata');

handles.figures.input.f4=figure('Name','SwanOne - Output Locations','Units','Centimeters','Position',...
    [9 7 17 8],'Menubar','none','Numbertitle','Off','Tag','Boundary Conditions',...
    'Color',[0.95 0.95 0.95],'CloseRequestFcn',@close_outputlocation_clbk);
% winontop(handles.figures.input.f4);
set(handles.swan1d.menu.input.m,'Enable','Off');
set(handles.swan1d.menu.file.m,'Enable','Off');
set(handles.swan1d.menu.computation.m,'Enable','Off');
set(handles.swan1d.menu.input.outputlocations,'CallBack',@do_nothing);
h3=handles.figures.input.f4;

%% Plotting the Bathymetry
handles.figures.outputlocation.currentaxes=axes('Parent',handles.figures.input.f4,...
    'Units','Centimeters','Position',[0.5 0.6 10 6.7],'Color',[0.85 0.85 0.85],...
    'Xlim',[0 100],'Ylim',[0 100],'Xtick',[0:10:100],'ytick',[0:10:100],'FontSize',5);
xlabel('S(m)');
ylabel('Z(m)');
bottomprofile=handles.input.bottomprofile.bathymetry;
plot(bottomprofile(:,1),bottomprofile(:,2)),grid

%%
handles.figures.outputlocation.edit=zeros(1,8);
handles.figures.outputlocation.edit(1)=uicontrol('Parent',h3,'style','edit',...
    'Units','Centimeters','Position',[12 6 2 0.6],'String','0','BackGroundColor','w');
handles.figures.outputlocation.edit(2)=uicontrol('Parent',h3,'style','edit',...
    'Units','Centimeters','Position',[14 6 2 0.6],'String','0','BackGroundColor','w');
handles.figures.outputlocation.edit(3)=uicontrol('Parent',h3,'style','edit',...
    'Units','Centimeters','Position',[12 5 2 0.6],'String','0','BackGroundColor','w');
handles.figures.outputlocation.edit(4)=uicontrol('Parent',h3,'style','edit',...
    'Units','Centimeters','Position',[14 5 2 0.6],'String','0','BackGroundColor','w');
handles.figures.outputlocation.edit(5)=uicontrol('Parent',h3,'style','edit',...
    'Units','Centimeters','Position',[12 4 2 0.6],'String','0','BackGroundColor','w');
handles.figures.outputlocation.edit(6)=uicontrol('Parent',h3,'style','edit',...
    'Units','Centimeters','Position',[14 4 2 0.6],'String','0','BackGroundColor','w');
handles.figures.outputlocation.edit(7)=uicontrol('Parent',h3,'style','edit',...
    'Units','Centimeters','Position',[12 3 2 0.6],'String','0','BackGroundColor','w');
handles.figures.outputlocation.edit(8)=uicontrol('Parent',h3,'style','edit',...
    'Units','Centimeters','Position',[14 3 2 0.6],'String','0','BackGroundColor','w');

% 'Save' button
handles.figures.outputlocation.pushbutton1=uicontrol(handles.figures.input.f4,...
    'style','pushbutton','Units','centimeters','Position',[14.3 1.6 1.5 0.7],...
    'String','Save','callback',@save_outputlocation_clbk,'BackGroundColor',[0.95 0.95 0.95]);

% 'Cancel' button
handles.figures.outputlocation.pushbutton2=uicontrol(handles.figures.input.f4,'style',...
    'pushbutton','Units','centimeters','Position',[14.3 0.6 1.5 0.7],'String',...
    'Cancel','callback',@close_outputlocation_clbk,'BackGroundColor',[0.95 0.95 0.95]);

% 'Display' button
handles.figures.outputlocation.pushbutton3=uicontrol(handles.figures.input.f4,...
    'style','pushbutton','Units','centimeters','Position',[12.3 1.6 1.5 0.7],...
    'String','Display','callback',@display_outputlocation_clbk,'BackGroundColor',[0.95 0.95 0.95]);

%% Apply pushbutton for showing output locations (to be edited later on)
%handles.figures.outputlocation.pushbutton1=uicontrol(handles.figures.input.f4,'style','pushbutton','Units','centimeters',...
%    'Position',[14 2 1.5 0.7],'String','Apply','callback',@apply_outputlocation_clbk);

%%

% remove figures to save structure in mat-file
handles.figures.input = rmfield(handles.figures.input,'f4');

% Set handles to 'Userdata' property
set(swan,'UserData',handles);

%%

filename=handles.input.newproject.filename;
a=exist([handles.input.newproject.filename '.mat'],'file');

if a~=0
    han=load([handles.input.newproject.filename '.mat']);
    if isfield(han,'input')~=0
        if isfield(han.input,'outputlocation')
            set(handles.figures.outputlocation.edit(1),'String',han.input.outputlocation.point(1));
            set(handles.figures.outputlocation.edit(2),'String',han.input.outputlocation.point(2));
            set(handles.figures.outputlocation.edit(3),'String',han.input.outputlocation.point(3));
            set(handles.figures.outputlocation.edit(4),'String',han.input.outputlocation.point(4));
            set(handles.figures.outputlocation.edit(5),'String',han.input.outputlocation.point(5));
            set(handles.figures.outputlocation.edit(6),'String',han.input.outputlocation.point(6));
            set(handles.figures.outputlocation.edit(7),'String',han.input.outputlocation.point(7));
            set(handles.figures.outputlocation.edit(8),'String',han.input.outputlocation.point(8));
            string=[];
            for i=1:8
                string(i)=str2num(get(handles.figures.outputlocation.edit(i),'String'));
            end
            bathymetry=handles.input.bottomprofile.bathymetry;
            X=bathymetry(:,1);
            Z=bathymetry(:,2);
            n=length(X);
            k=0;
           for i=1:8
               if string(i)~=0
                   k=k+1;
                   point(k)=str2num(get(handles.figures.outputlocation.edit(i),'String'));
               end
           end
               
           for i=1:length(point)
               x1=find(X<=point(i));
               x2=find(X>point(i));
               z1=Z(x1(length(x1)));
               z2=Z(x2(1));
               x1=X(length(x1));
               x2=X(x2(1));    
               z=(z2-z1)/(x2-x1)*(point(i)-x1)+z1;
               hold on
               plot(point(i),z,'s','color','r','MarkerSize',8,'MarkerFaceColor','r','MarkerEdgeColor','k')
           end
        end
    end
end
end




