function output_rayplot_defgraph_done_clbk(varargin)

% Find structure and handles
global handles
swan=findobj('Tag','swan1d');
handles=get(swan,'Userdata');

% verify the checked items
box=zeros(1,8);
handles.figures.output.rayplots.defgraph.axes=zeros(1,4);
box(1)=get(handles.figures.output.rayplots.defgraph.checkbox1,'Value');
box(2)=get(handles.figures.output.rayplots.defgraph.checkbox2,'Value');
box(3)=get(handles.figures.output.rayplots.defgraph.checkbox3,'Value');
box(4)=get(handles.figures.output.rayplots.defgraph.checkbox4,'Value');
box(5)=get(handles.figures.output.rayplots.defgraph.checkbox5,'Value');
box(6)=get(handles.figures.output.rayplots.defgraph.checkbox6,'Value');
box(7)=get(handles.figures.output.rayplots.defgraph.checkbox7,'Value');
box(8)=get(handles.figures.output.rayplots.defgraph.checkbox8,'Value');
if handles.input.boundaryconditions.radiostatus4==1  %%%%%Wave Setup must be enabled
    box(9)=get(handles.figures.output.rayplots.defgraph.checkbox9,'Value'); 
end
box(10)=get(handles.figures.output.rayplots.defgraph.checkbox10,'Value');
box(11)=get(handles.figures.output.rayplots.defgraph.checkbox11,'Value');
box(12)=get(handles.figures.output.rayplots.defgraph.checkbox12,'Value');
n=0;
for i=1:12
    if box(i)==1
        n=n+1;
    end
end
error=0;

%% Loading File and omitting unreliable data
filename=handles.input.newproject.filename;
foldername=handles.input.newproject.foldername;
s=load([foldername '\' filename ' files' '\' filename '.TAB']);
omit=[];
co=0;

for i=1:length(s(:,3))
    if s(i,3)<0
        co=co+1;
        omit(co)=i;
    end
end

s(omit,:)=[];
handles.swan.output.table=s;

%%
if n>1
    he=figure('Name','Error','Units','Centimeters','Position',...
            [10 8 10 5],'Menubar','none','Numbertitle','Off','Tag','Bottom Profile','Color',[0.95 0.95 0.95]);
        uicontrol('Parent',he,'Style','text','String',...
            'Only one Graph can be plotted every time!',...
            'Units','Centimeters','Position',[1 1.8 8 1.5],'FontSize',10,'FontWeight','bold');
        uicontrol('Parent',he,'Style','pushbutton','String','Ok','Units','Centimeters','Position',[4 1 2 0.7],'Callback','Close');
        error=1;
        winontop(he)
end

%% Saving the last situation

% check activity of viewport 1
if handles.figures.output.rayplots.defgraph.viewstatus(1)==1    
    handles.input.output.rayplots.defgraph.view(1).boxstatus(1)=get(handles.figures.output.rayplots.defgraph.checkbox1,'Value');    
    handles.input.output.rayplots.defgraph.view(1).boxstatus(2)=get(handles.figures.output.rayplots.defgraph.checkbox2,'Value');    
    handles.input.output.rayplots.defgraph.view(1).boxstatus(3)=get(handles.figures.output.rayplots.defgraph.checkbox3,'Value');    
    handles.input.output.rayplots.defgraph.view(1).boxstatus(4)=get(handles.figures.output.rayplots.defgraph.checkbox4,'Value');    
    handles.input.output.rayplots.defgraph.view(1).boxstatus(5)=get(handles.figures.output.rayplots.defgraph.checkbox5,'Value');    
    handles.input.output.rayplots.defgraph.view(1).boxstatus(6)=get(handles.figures.output.rayplots.defgraph.checkbox6,'Value');   
    handles.input.output.rayplots.defgraph.view(1).boxstatus(7)=get(handles.figures.output.rayplots.defgraph.checkbox7,'Value');    
    handles.input.output.rayplots.defgraph.view(1).boxstatus(8)=get(handles.figures.output.rayplots.defgraph.checkbox8,'Value');
    if handles.input.boundaryconditions.radiostatus4==1  %%%%%Wave Setup should be enabled
        handles.input.output.rayplots.defgraph.view(1).boxstatus(9)=get(handles.figures.output.rayplots.defgraph.checkbox9,'Value');    
    end
    handles.input.output.rayplots.defgraph.view(1).boxstatus(10)=get(handles.figures.output.rayplots.defgraph.checkbox10,'Value');    
    handles.input.output.rayplots.defgraph.view(1).boxstatus(11)=get(handles.figures.output.rayplots.defgraph.checkbox11,'Value');    
    handles.input.output.rayplots.defgraph.view(1).boxstatus(12)=get(handles.figures.output.rayplots.defgraph.checkbox12,'Value');
    n(1)=0;
    for i=1:12
        if handles.input.output.rayplots.defgraph.view(1).boxstatus(i)==1
            n(1)=n(1)+1;
        end
    end
    if (n(1)>1 && error==0)
        he=figure('Name','Error','Units','Centimeters','Position',...
            [10 8 10 5],'Menubar','none','Numbertitle','Off','Tag','Bottom Profile','Color',[0.95 0.95 0.95]);
        uicontrol('Parent',he,'Style','text','String',...
            'Only one Graph can be plotted at every view!',...
            'Units','Centimeters','Position',[1 1.8 8 1.5],'FontSize',10,'FontWeight','bold');
        uicontrol('Parent',he,'Style','pushbutton','String','Ok','Units','Centimeters','Position',[4 1 2 0.7],'Callback','Close');
        winontop(he)
        error=1;
    end
    if n(1)==1
        handles.input.output.rayplots.defgraph.enabledaxes(1)=1;
    else
        handles.input.output.rayplots.defgraph.enabledaxes(1)=0;
    end
end

% check activity of viewport 2
if handles.figures.output.rayplots.defgraph.viewstatus(2)==1
    handles.input.output.rayplots.defgraph.view(2).boxstatus(1)=get(handles.figures.output.rayplots.defgraph.checkbox1,'Value');
    handles.input.output.rayplots.defgraph.view(2).boxstatus(2)=get(handles.figures.output.rayplots.defgraph.checkbox2,'Value');
    handles.input.output.rayplots.defgraph.view(2).boxstatus(3)=get(handles.figures.output.rayplots.defgraph.checkbox3,'Value');
    handles.input.output.rayplots.defgraph.view(2).boxstatus(4)=get(handles.figures.output.rayplots.defgraph.checkbox4,'Value');
    handles.input.output.rayplots.defgraph.view(2).boxstatus(5)=get(handles.figures.output.rayplots.defgraph.checkbox5,'Value');
    handles.input.output.rayplots.defgraph.view(2).boxstatus(6)=get(handles.figures.output.rayplots.defgraph.checkbox6,'Value');
    handles.input.output.rayplots.defgraph.view(2).boxstatus(7)=get(handles.figures.output.rayplots.defgraph.checkbox7,'Value');
    handles.input.output.rayplots.defgraph.view(2).boxstatus(8)=get(handles.figures.output.rayplots.defgraph.checkbox8,'Value');
    handles.input.output.rayplots.defgraph.view(2).boxstatus(9)=get(handles.figures.output.rayplots.defgraph.checkbox9,'Value');
    handles.input.output.rayplots.defgraph.view(2).boxstatus(10)=get(handles.figures.output.rayplots.defgraph.checkbox10,'Value');
    handles.input.output.rayplots.defgraph.view(2).boxstatus(11)=get(handles.figures.output.rayplots.defgraph.checkbox11,'Value');
    handles.input.output.rayplots.defgraph.view(2).boxstatus(12)=get(handles.figures.output.rayplots.defgraph.checkbox12,'Value');
    n(2)=0;
    for i=1:12
        if handles.input.output.rayplots.defgraph.view(2).boxstatus(i)==1
            n(2)=n(2)+1;
        end
    end
    if (n(2)>1 && error==0)
        he=figure('Name','Error','Units','Centimeters','Position',...
            [10 8 10 5],'Menubar','none','Numbertitle','Off','Tag','Bottom Profile','Color',[0.95 0.95 0.95]);
        uicontrol('Parent',he,'Style','text','String',...
            'Only one Graph can be plotted at every view!',...
            'Units','Centimeters','Position',[2 2 8 1.5],'FontSize',10,'FontWeight','bold');
        winontop(he)
        error=1;
    end
    if n(2)==1
        handles.input.output.rayplots.defgraph.enabledaxes(2)=1;
    else
        handles.input.output.rayplots.defgraph.enabledaxes(2)=0;
    end
end

% check activity of viewport 3
if handles.figures.output.rayplots.defgraph.viewstatus(3)==1
    handles.input.output.rayplots.defgraph.view(3).boxstatus(1)=get(handles.figures.output.rayplots.defgraph.checkbox1,'Value');    
    handles.input.output.rayplots.defgraph.view(3).boxstatus(2)=get(handles.figures.output.rayplots.defgraph.checkbox2,'Value');    
    handles.input.output.rayplots.defgraph.view(3).boxstatus(3)=get(handles.figures.output.rayplots.defgraph.checkbox3,'Value');    
    handles.input.output.rayplots.defgraph.view(3).boxstatus(4)=get(handles.figures.output.rayplots.defgraph.checkbox4,'Value');    
    handles.input.output.rayplots.defgraph.view(3).boxstatus(5)=get(handles.figures.output.rayplots.defgraph.checkbox5,'Value');    
    handles.input.output.rayplots.defgraph.view(3).boxstatus(6)=get(handles.figures.output.rayplots.defgraph.checkbox6,'Value');   
    handles.input.output.rayplots.defgraph.view(3).boxstatus(7)=get(handles.figures.output.rayplots.defgraph.checkbox7,'Value');    
    handles.input.output.rayplots.defgraph.view(3).boxstatus(8)=get(handles.figures.output.rayplots.defgraph.checkbox8,'Value');
    if handles.input.boundaryconditions.radiostatus4==1  %%%%%Wave Setup should be enabled
        handles.input.output.rayplots.defgraph.view(3).boxstatus(9)=get(handles.figures.output.rayplots.defgraph.checkbox9,'Value');    
    end
    handles.input.output.rayplots.defgraph.view(3).boxstatus(10)=get(handles.figures.output.rayplots.defgraph.checkbox10,'Value');    
    handles.input.output.rayplots.defgraph.view(3).boxstatus(11)=get(handles.figures.output.rayplots.defgraph.checkbox11,'Value');    
    handles.input.output.rayplots.defgraph.view(3).boxstatus(12)=get(handles.figures.output.rayplots.defgraph.checkbox12,'Value');
    n(3)=0;
    for i=1:12
        if handles.input.output.rayplots.defgraph.view(3).boxstatus(i)==1
            n(3)=n(3)+1;
        end
    end
    if (n(3)>1 && error==0)
        he=figure('Name','Error','Units','Centimeters','Position',...
            [10 8 10 5],'Menubar','none','Numbertitle','Off','Tag','Bottom Profile','Color',[0.95 0.95 0.95]);
        uicontrol('Parent',he,'Style','text','String',...
            'Only one Graph can be plotted at every view!',...
            'Units','Centimeters','Position',[2 2 8 1.5],'FontSize',10,'FontWeight','bold');
        winontop(he)
        error=1;
    end
    if n(3)==1
        handles.input.output.rayplots.defgraph.enabledaxes(3)=1;
        else
        handles.input.output.rayplots.defgraph.enabledaxes(3)=0;
    end
end

% check activity of viewport 4
if handles.figures.output.rayplots.defgraph.viewstatus(4)==1
    handles.input.output.rayplots.defgraph.view(4).boxstatus(1)=get(handles.figures.output.rayplots.defgraph.checkbox1,'Value');    
    handles.input.output.rayplots.defgraph.view(4).boxstatus(2)=get(handles.figures.output.rayplots.defgraph.checkbox2,'Value');    
    handles.input.output.rayplots.defgraph.view(4).boxstatus(3)=get(handles.figures.output.rayplots.defgraph.checkbox3,'Value');    
    handles.input.output.rayplots.defgraph.view(4).boxstatus(4)=get(handles.figures.output.rayplots.defgraph.checkbox4,'Value');    
    handles.input.output.rayplots.defgraph.view(4).boxstatus(5)=get(handles.figures.output.rayplots.defgraph.checkbox5,'Value');    
    handles.input.output.rayplots.defgraph.view(4).boxstatus(6)=get(handles.figures.output.rayplots.defgraph.checkbox6,'Value');   
    handles.input.output.rayplots.defgraph.view(4).boxstatus(7)=get(handles.figures.output.rayplots.defgraph.checkbox7,'Value');    
    handles.input.output.rayplots.defgraph.view(4).boxstatus(8)=get(handles.figures.output.rayplots.defgraph.checkbox8,'Value');
    if handles.input.boundaryconditions.radiostatus4==1  %%%%%Wave Setup should be enabled
        handles.input.output.rayplots.defgraph.view(4).boxstatus(9)=get(handles.figures.output.rayplots.defgraph.checkbox9,'Value');    
    end
    handles.input.output.rayplots.defgraph.view(4).boxstatus(10)=get(handles.figures.output.rayplots.defgraph.checkbox10,'Value');    
    handles.input.output.rayplots.defgraph.view(4).boxstatus(11)=get(handles.figures.output.rayplots.defgraph.checkbox11,'Value');    
    handles.input.output.rayplots.defgraph.view(4).boxstatus(12)=get(handles.figures.output.rayplots.defgraph.checkbox12,'Value');
    n(4)=0;
    for i=1:12
        if handles.input.output.rayplots.defgraph.view(4).boxstatus(i)==1
            n(4)=n(4)+1;
        end
    end
    if (n(4)>1 && error==0)
        he=figure('Name','Error','Units','Centimeters','Position',...
            [10 8 10 5],'Menubar','none','Numbertitle','Off','Tag','Bottom Profile','Color',[0.95 0.95 0.95]);
        uicontrol('Parent',he,'Style','text','String',...
            'Only one Graph can be plotted at every view!',...
            'Units','Centimeters','Position',[2 2 8 1.5],'FontSize',10,'FontWeight','bold');
        winontop(he)
        error=1;
    end
    if n(4)==1
        handles.input.output.rayplots.defgraph.enabledaxes(4)=1;
        else
        handles.input.output.rayplots.defgraph.enabledaxes(4)=0;
    end
end

%% checking the number of needed Axes
m=0;
for i=1:4
    if handles.input.output.rayplots.defgraph.enabledaxes(i)==1
        m=m+1;
    end
end
handles.input.output.rayplots.defgraph.numofaxes=m;
set(swan,'UserData',handles);

%% Calling the data of B-G method for Hrms and H2% and H1/10

% Old routine
% [hrms,h2p,h110]=Battjes_Groenendijk;

% New, updated routine
% Edit J. van den Bos (27/03/2017) for SwanOne v1.3
[hrms,h2p,h110, h13]=Battjes_Groenendijk2;

%% Plotting 1 graph
if error==0
    if m==0
       delete(handles.figures.output.rayplots.defgraph.ui)
       handles.figures.output.rayplots.defgraph.ui=uibuttongroup('Parent',handles.figures.input.f7,'Units',...
          'Centimeters','Position',[0.1 0.1 15.8 17.8]);
       set(swan,'UserData',handles)
       close(handles.figures.input.f10)
    end
    delete(handles.figures.output.rayplots.defgraph.ui)
    handles.figures.output.rayplots.defgraph.ui=uibuttongroup('Parent',handles.figures.input.f7,'Units',...
        'Centimeters','Position',[0.1 0.1 15.8 17.8]);
    if m==1
        handles.figures.output.rayplots.defgraph.axes(1)=axes('Parent',handles.figures.output.rayplots.defgraph.ui,'Units','Centimeters',...
        'Position',[1.3 2 14 15],'Color',[0.7 0.7 0.7],...
        'FontSize',8);
    set(handles.figures.output.rayplots.pushbutton2,'Enable','On');
    if box(2)==1
        plot(handles.figures.output.rayplots.defgraph.axes(1),s(:,1),s(:,3))
        grid(handles.figures.output.rayplots.defgraph.axes(1))
        set(get(handles.figures.output.rayplots.defgraph.axes(1),'XLabel'),'String','Xp (m)');
        set(get(handles.figures.output.rayplots.defgraph.axes(1),'YLabel'),'String','Hm0 (m)');
        set(swan,'UserData',handles)
        close(handles.figures.input.f10)
    end
    if box(3)==1
        plot(handles.figures.output.rayplots.defgraph.axes(1),s(:,1),s(:,4))
        grid(handles.figures.output.rayplots.defgraph.axes(1))
        set(get(handles.figures.output.rayplots.defgraph.axes(1),'XLabel'),'String','Xp (m)');
        set(get(handles.figures.output.rayplots.defgraph.axes(1),'YLabel'),'String','Tp (S)');
        set(swan,'UserData',handles)
        close(handles.figures.input.f10)
    end
    if box(4)==1
        plot(handles.figures.output.rayplots.defgraph.axes(1),s(:,1),s(:,5))
        grid(handles.figures.output.rayplots.defgraph.axes(1))
        xlabel(handles.figures.output.rayplots.defgraph.axes(1),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(1),'Tm01 (s)')
        set(swan,'UserData',handles)
        close(handles.figures.input.f10)
    end
    if box(5)==1
        plot(handles.figures.output.rayplots.defgraph.axes(1),s(:,1),s(:,6))
        grid(handles.figures.output.rayplots.defgraph.axes(1))
        xlabel(handles.figures.output.rayplots.defgraph.axes(1),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(1),'Tm-1,0 (s)')
        set(swan,'UserData',handles)
        close(handles.figures.input.f10)
    end
    if box(6)==1
        dir=handles.input.boundaryconditions.meanwavedirection;
        alpha=handles.input.bottomprofile.alpha;
        dirplot=[];
        sd=s(:,7);
        for i=1:length(s(:,7))
            if dir>=alpha
                if (dir-alpha)>=180
                    dirplot(i)=180+alpha+sd(i)-0;
                else
                    dirplot(i)=alpha+sd(i)+180-0;
                end
            else
                if (alpha-dir)>=180
                    dirplot(i)=alpha+sd(i)-0-180;
                else
                    dirplot(i)=alpha+sd(i)-0-180;
                end
            end                    
            %edit J van den Bos v1.3:
                dirplot(i) = mod(dirplot(i),360);
        end       
        
        plot(handles.figures.output.rayplots.defgraph.axes(1),s(:,1),dirplot)
        grid(handles.figures.output.rayplots.defgraph.axes(1))
        xlabel(handles.figures.output.rayplots.defgraph.axes(1),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(1),'Mean Wave Direction (deg N)')
        set(swan,'UserData',handles)
        close(handles.figures.input.f10)
    end
    if box(7)==1
        plot(handles.figures.output.rayplots.defgraph.axes(1),s(:,1),s(:,8))
        grid(handles.figures.output.rayplots.defgraph.axes(1))
        xlabel(handles.figures.output.rayplots.defgraph.axes(1),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(1),'Directional Spreading (deg)')
        set(swan,'UserData',handles)
        close(handles.figures.input.f10)
    end
    if box(8)==1
        plot(handles.figures.output.rayplots.defgraph.axes(1),s(:,1),s(:,9))
        grid(handles.figures.output.rayplots.defgraph.axes(1))
        xlabel(handles.figures.output.rayplots.defgraph.axes(1),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(1),'Water Depth (m)')
        set(swan,'UserData',handles)
        close(handles.figures.input.f10)
    end
    if (box(9)==1 && handles.input.boundaryconditions.radiostatus4==1)  %%%%%Wave Setup should be enabled
        plot(handles.figures.output.rayplots.defgraph.axes(1),s(:,1),s(:,10))
        grid(handles.figures.output.rayplots.defgraph.axes(1))
        xlabel(handles.figures.output.rayplots.defgraph.axes(1),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(1),'Wave Setup (m)')
        set(swan,'UserData',handles)
        close(handles.figures.input.f10)
    end
    if box(10)==1  %%%%%Hrms  Edit v1.3: changed to H1/3
        plot(handles.figures.output.rayplots.defgraph.axes(1),s(:,1),h13)
        grid(handles.figures.output.rayplots.defgraph.axes(1))
        xlabel(handles.figures.output.rayplots.defgraph.axes(1),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(1),'H1/3 (m)')
        set(swan,'UserData',handles)
        close(handles.figures.input.f10)
    end
    if box(11)==1  %%%%%H2%
        plot(handles.figures.output.rayplots.defgraph.axes(1),s(:,1),h2p)
        grid(handles.figures.output.rayplots.defgraph.axes(1))
        xlabel(handles.figures.output.rayplots.defgraph.axes(1),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(1),'H2% (m)')
        set(swan,'UserData',handles)
        close(handles.figures.input.f10)
    end
    if box(12)==1  %%%%%H1/10
        plot(handles.figures.output.rayplots.defgraph.axes(1),s(:,1),h110)
        grid(handles.figures.output.rayplots.defgraph.axes(1))
        xlabel(handles.figures.output.rayplots.defgraph.axes(1),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(1),'H1/10 (m)')
        set(swan,'UserData',handles)
        close(handles.figures.input.f10)
    end
    end
    
%% Plotting 2 graphs
        if m==2
            delete(handles.figures.output.rayplots.defgraph.ui)
    handles.figures.output.rayplots.defgraph.ui=uibuttongroup('Parent',handles.figures.input.f7,'Units',...
        'Centimeters','Position',[0.1 0.1 15.8 17.8]);
        handles.figures.output.rayplots.defgraph.axes(1)=axes('Parent',handles.figures.output.rayplots.defgraph.ui,'Units','Centimeters',...
           'Position',[1.3 10 14 7],'Color',[0.7 0.7 0.7],...
           'FontSize',8);
        handles.figures.output.rayplots.defgraph.axes(2)=axes('Parent',handles.figures.output.rayplots.defgraph.ui,'Units','Centimeters',...
           'Position',[1.3 2 14 7],'Color',[0.7 0.7 0.7],...
           'FontSize',8);
       set(handles.figures.output.rayplots.pushbutton2,'Enable','On');
       %%%%%%%%%%%%%%%%%%%%%%%
       count=0;
       for i=1:4
           if handles.input.output.rayplots.defgraph.enabledaxes(i)==1
               count=count+1;
               if handles.input.output.rayplots.defgraph.view(i).boxstatus(2)==1
                  plot(handles.figures.output.rayplots.defgraph.axes(count),s(:,1),s(:,3))
                  grid(handles.figures.output.rayplots.defgraph.axes(count))
                  set(get(handles.figures.output.rayplots.defgraph.axes(count),'XLabel'),'String','Xp (m)');
                  set(get(handles.figures.output.rayplots.defgraph.axes(count),'YLabel'),'String','Hm0 (m)');
                  set(swan,'UserData',handles)
               end
               if handles.input.output.rayplots.defgraph.view(i).boxstatus(3)==1
                  plot(handles.figures.output.rayplots.defgraph.axes(count),s(:,1),s(:,4))
                  grid(handles.figures.output.rayplots.defgraph.axes(count))
                  set(get(handles.figures.output.rayplots.defgraph.axes(count),'XLabel'),'String','Xp (m)');
                  set(get(handles.figures.output.rayplots.defgraph.axes(count),'YLabel'),'String','Tp (s)');
                  set(swan,'UserData',handles)
               end
               if handles.input.output.rayplots.defgraph.view(i).boxstatus(4)==1
                  plot(handles.figures.output.rayplots.defgraph.axes(count),s(:,1),s(:,5))
                  grid(handles.figures.output.rayplots.defgraph.axes(count))
                  xlabel(handles.figures.output.rayplots.defgraph.axes(count),'Xp (m)')
                  ylabel(handles.figures.output.rayplots.defgraph.axes(count),'Tm01 (s)')
                  set(swan,'UserData',handles)
               end
              if handles.input.output.rayplots.defgraph.view(i).boxstatus(5)==1
                 plot(handles.figures.output.rayplots.defgraph.axes(count),s(:,1),s(:,6))
                 grid(handles.figures.output.rayplots.defgraph.axes(count))
                 xlabel(handles.figures.output.rayplots.defgraph.axes(count),'Xp (m)')
                 ylabel(handles.figures.output.rayplots.defgraph.axes(count),'"Tm-1,0" (s)')
                 set(swan,'UserData',handles)
              end
              if handles.input.output.rayplots.defgraph.view(i).boxstatus(6)==1
                  dir=handles.input.boundaryconditions.meanwavedirection;
                  alpha=handles.input.bottomprofile.alpha;
                  dirplot=[];
                  sd=s(:,7);
                 for k=1:length(s(:,7))
                     if dir>=alpha
                          if (dir-alpha)>=180
                              dirplot(k)=180+alpha+sd(k)-0;
                          else
                              dirplot(k)=alpha+sd(k)+180-0;
                          end
                     else
                           if (alpha-dir)>=180
                               dirplot(k)=alpha+sd(k)-0-180;
                           else
                           dirplot(k)=alpha+sd(k)-0-180;
                           end
                     end   
                        %edit J van den Bos v1.3:
                        dirplot(k) = mod(dirplot(k),360);
                  end
                 plot(handles.figures.output.rayplots.defgraph.axes(count),s(:,1),dirplot)
                 grid(handles.figures.output.rayplots.defgraph.axes(count))
                 xlabel(handles.figures.output.rayplots.defgraph.axes(count),'Xp (m)')
                 ylabel(handles.figures.output.rayplots.defgraph.axes(count),'Mean Wave Direction (deg N)')
              end
              if handles.input.output.rayplots.defgraph.view(i).boxstatus(7)==1
                 plot(handles.figures.output.rayplots.defgraph.axes(count),s(:,1),s(:,8))
                 grid(handles.figures.output.rayplots.defgraph.axes(count))
                 xlabel(handles.figures.output.rayplots.defgraph.axes(count),'Xp (m)')
                 ylabel(handles.figures.output.rayplots.defgraph.axes(count),'Directional Spreading (deg)')
                 set(swan,'UserData',handles)
              end
              if handles.input.output.rayplots.defgraph.view(i).boxstatus(8)==1
                 plot(handles.figures.output.rayplots.defgraph.axes(count),s(:,1),-s(:,9))
                 grid(handles.figures.output.rayplots.defgraph.axes(count))
                 xlabel(handles.figures.output.rayplots.defgraph.axes(count),'Xp (m)')
                 ylabel(handles.figures.output.rayplots.defgraph.axes(count),'Water Depth (m)')
                 set(swan,'UserData',handles)
              end
             if  (handles.input.boundaryconditions.radiostatus4==1 &&  handles.input.output.rayplots.defgraph.view(i).boxstatus(9)==1)  %%%%%Wave Setup should be enabled
                 plot(handles.figures.output.rayplots.defgraph.axes(count),s(:,1),s(:,10))
                 grid(handles.figures.output.rayplots.defgraph.axes(count))
                 xlabel(handles.figures.output.rayplots.defgraph.axes(count),'Xp (m)')
                 ylabel(handles.figures.output.rayplots.defgraph.axes(count),'Wave Setup (m)')
                 set(swan,'UserData',handles)
             end
             if handles.input.output.rayplots.defgraph.view(i).boxstatus(10)==1;   %Edit v1.3: changed to H1/3
                 plot(handles.figures.output.rayplots.defgraph.axes(count),s(:,1),h13)
                 grid(handles.figures.output.rayplots.defgraph.axes(count))
                 xlabel(handles.figures.output.rayplots.defgraph.axes(count),'Xp (m)')
                 ylabel(handles.figures.output.rayplots.defgraph.axes(count),'H1/3 (m)')
                 set(swan,'UserData',handles)
             end
              if handles.input.output.rayplots.defgraph.view(i).boxstatus(11)==1
                 plot(handles.figures.output.rayplots.defgraph.axes(count),s(:,1),h2p)
                 grid(handles.figures.output.rayplots.defgraph.axes(count))
                 xlabel(handles.figures.output.rayplots.defgraph.axes(count),'Xp (m)')
                 ylabel(handles.figures.output.rayplots.defgraph.axes(count),'H2% (m)')
                 set(swan,'UserData',handles)
              end
             if handles.input.output.rayplots.defgraph.view(i).boxstatus(12)==1
                 plot(handles.figures.output.rayplots.defgraph.axes(count),s(:,1),h110)
                 grid(handles.figures.output.rayplots.defgraph.axes(count))
                 xlabel(handles.figures.output.rayplots.defgraph.axes(count),'Xp (m)')
                 ylabel(handles.figures.output.rayplots.defgraph.axes(count),'H1/10 (m)')
                 set(swan,'UserData',handles)
              end
           end
       end       
       if count==2
           close(handles.figures.input.f10)
       end
        end
       
       
      %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%         
    
    %% checking for the 3rd view to be enabled
    
%% Plotting 3 graphs
if m==3
       delete(handles.figures.output.rayplots.defgraph.ui)
    handles.figures.output.rayplots.defgraph.ui=uibuttongroup('Parent',handles.figures.input.f7,'Units',...
        'Centimeters','Position',[0.1 0.1 15.8 17.8]);
    handles.figures.output.rayplots.defgraph.axes(1)=axes('Parent',handles.figures.output.rayplots.defgraph.ui,'Units','Centimeters',...
        'Position',[1.3 12.8 14 4.5],'Color',[0.7 0.7 0.7],...
        'FontSize',8);
    handles.figures.output.rayplots.defgraph.axes(2)=axes('Parent',handles.figures.output.rayplots.defgraph.ui,'Units','Centimeters',...
        'Position',[1.3 7 14 4.5],'Color',[0.7 0.7 0.7],...
        'FontSize',8);
    handles.figures.output.rayplots.defgraph.axes(3)=axes('Parent',handles.figures.output.rayplots.defgraph.ui,'Units','Centimeters',...
        'Position',[1.3 1.3 14 4.5],'Color',[0.7 0.7 0.7],...
        'FontSize',8);
    count=0;
    set(handles.figures.output.rayplots.pushbutton2,'Enable','On');
       for i=1:4
           if handles.input.output.rayplots.defgraph.enabledaxes(i)==1
               count=count+1;
               if handles.input.output.rayplots.defgraph.view(i).boxstatus(2)==1
                   plot(handles.figures.output.rayplots.defgraph.axes(count),s(:,1),s(:,3))
                  grid(handles.figures.output.rayplots.defgraph.axes(count))
                  set(get(handles.figures.output.rayplots.defgraph.axes(count),'XLabel'),'String','Xp (m)');
                  set(get(handles.figures.output.rayplots.defgraph.axes(count),'YLabel'),'String','Hm0 (m)');
                 set(swan,'UserData',handles)
               end
               if handles.input.output.rayplots.defgraph.view(i).boxstatus(3)==1
                  plot(handles.figures.output.rayplots.defgraph.axes(count),s(:,1),s(:,4))
                  grid(handles.figures.output.rayplots.defgraph.axes(count))
                  set(get(handles.figures.output.rayplots.defgraph.axes(count),'XLabel'),'String','Xp (m)');
                  set(get(handles.figures.output.rayplots.defgraph.axes(count),'YLabel'),'String','Tp (s)');
                  set(swan,'UserData',handles)
               end
               if handles.input.output.rayplots.defgraph.view(i).boxstatus(4)==1
                  plot(handles.figures.output.rayplots.defgraph.axes(count),s(:,1),s(:,5))
                  grid(handles.figures.output.rayplots.defgraph.axes(count))
                  xlabel(handles.figures.output.rayplots.defgraph.axes(count),'Xp (m)')
                  ylabel(handles.figures.output.rayplots.defgraph.axes(count),'Mean Aabsolute Wave Period (s)')
                  set(swan,'UserData',handles)
               end
              if handles.input.output.rayplots.defgraph.view(i).boxstatus(5)==1
                 plot(handles.figures.output.rayplots.defgraph.axes(count),s(:,1),s(:,6))
                 grid(handles.figures.output.rayplots.defgraph.axes(count))
                 xlabel(handles.figures.output.rayplots.defgraph.axes(count),'Xp (m)')
                 ylabel(handles.figures.output.rayplots.defgraph.axes(count),'Tm-1,0 (s)')
                 set(swan,'UserData',handles)
              end
              if handles.input.output.rayplots.defgraph.view(i).boxstatus(6)==1
                  dir=handles.input.boundaryconditions.meanwavedirection;
              alpha=handles.input.bottomprofile.alpha;
              dirplot=[];
              sd=s(:,7);
              for k=1:length(s(:,7))
                if dir>=alpha
                    if (dir-alpha)>=180
                        dirplot(k)=180+alpha+sd(k)-0;
                    else
                        dirplot(k)=alpha+sd(k)+180-0;
                    end
                else
                    if (alpha-dir)>=180
                        dirplot(k)=alpha+sd(k)-0-180;
                    else
                        dirplot(k)=alpha+sd(k)-0-180;
                    end
                end   
                %edit J van den Bos v1.3:
                    dirplot(k) = mod(dirplot(k),360);
              end 
                 plot(handles.figures.output.rayplots.defgraph.axes(count),s(:,1),dirplot)
                 grid(handles.figures.output.rayplots.defgraph.axes(count))
                 xlabel(handles.figures.output.rayplots.defgraph.axes(count),'Xp (m)')
                 ylabel(handles.figures.output.rayplots.defgraph.axes(count),'Mean Wave Direction (deg)')
              end
              if handles.input.output.rayplots.defgraph.view(i).boxstatus(7)==1
                 plot(handles.figures.output.rayplots.defgraph.axes(count),s(:,1),s(:,8))
                 grid(handles.figures.output.rayplots.defgraph.axes(count))
                 xlabel(handles.figures.output.rayplots.defgraph.axes(count),'Xp (m)')
                 ylabel(handles.figures.output.rayplots.defgraph.axes(count),'Directional Spreading (deg)')
                 set(swan,'UserData',handles)
              end
              if handles.input.output.rayplots.defgraph.view(i).boxstatus(8)==1
                 plot(handles.figures.output.rayplots.defgraph.axes(count),s(:,1),-s(:,9))
                 grid(handles.figures.output.rayplots.defgraph.axes(count))
                 xlabel(handles.figures.output.rayplots.defgraph.axes(count),'Xp (m)')
                 ylabel(handles.figures.output.rayplots.defgraph.axes(count),'Water Depth (m)')
                 set(swan,'UserData',handles)
              end
             if  (handles.input.boundaryconditions.radiostatus4==1 &&  handles.input.output.rayplots.defgraph.view(i).boxstatus(9)==1)  %%%%%Wave Setup should be enabled
                 plot(handles.figures.output.rayplots.defgraph.axes(count),s(:,1),s(:,10))
                 grid(handles.figures.output.rayplots.defgraph.axes(count))
                 xlabel(handles.figures.output.rayplots.defgraph.axes(count),'Xp (m)')
                 ylabel(handles.figures.output.rayplots.defgraph.axes(count),'Wave Setup (m)')
                 set(swan,'UserData',handles)
             end
             if handles.input.output.rayplots.defgraph.view(i).boxstatus(10)==1;   %Edit v1.3: changed to H1/3
                 plot(handles.figures.output.rayplots.defgraph.axes(count),s(:,1),h13)
                 grid(handles.figures.output.rayplots.defgraph.axes(count))
                 xlabel(handles.figures.output.rayplots.defgraph.axes(count),'Xp (m)')
                 ylabel(handles.figures.output.rayplots.defgraph.axes(count),'H1/3 (m)')
                 set(swan,'UserData',handles)
             end
             if handles.input.output.rayplots.defgraph.view(i).boxstatus(11)==1
                 plot(handles.figures.output.rayplots.defgraph.axes(count),s(:,1),h2p)
                 grid(handles.figures.output.rayplots.defgraph.axes(count))
                 xlabel(handles.figures.output.rayplots.defgraph.axes(count),'Xp (m)')
                 ylabel(handles.figures.output.rayplots.defgraph.axes(count),'H2% (m)')
                 set(swan,'UserData',handles)
             end
             if handles.input.output.rayplots.defgraph.view(i).boxstatus(12)==1
                 plot(handles.figures.output.rayplots.defgraph.axes(count),s(:,1),h110)
                 grid(handles.figures.output.rayplots.defgraph.axes(count))
                 xlabel(handles.figures.output.rayplots.defgraph.axes(count),'Xp (m)')
                 ylabel(handles.figures.output.rayplots.defgraph.axes(count),'H1/10 (m)')
                 set(swan,'UserData',handles)
              end
           end
       end       
       if count==3
           close(handles.figures.input.f10)
       end
       end
%% Plotting 4 Graphs
if m==4
    delete(handles.figures.output.rayplots.defgraph.ui)
    handles.figures.output.rayplots.defgraph.ui=uibuttongroup('Parent',handles.figures.input.f7,'Units',...
        'Centimeters','Position',[0.1 0.1 15.8 17.8]);
    handles.figures.output.rayplots.defgraph.axes(1)=axes('Parent',handles.figures.output.rayplots.defgraph.ui,'Units','Centimeters',...
        'Position',[1.2 14.3 14 3],'Color',[0.7 0.7 0.7],...
        'FontSize',8);
    handles.figures.output.rayplots.defgraph.axes(2)=axes('Parent',handles.figures.output.rayplots.defgraph.ui,'Units','Centimeters',...
        'Position',[1.2 10 14 3],'Color',[0.7 0.7 0.7],...
        'FontSize',8);
    handles.figures.output.rayplots.defgraph.axes(3)=axes('Parent',handles.figures.output.rayplots.defgraph.ui,'Units','Centimeters',...
        'Position',[1.2 5.6 14 3],'Color',[0.7 0.7 0.7],...
        'FontSize',8);
    handles.figures.output.rayplots.defgraph.axes(4)=axes('Parent',handles.figures.output.rayplots.defgraph.ui,'Units','Centimeters',...
        'Position',[1.2 1.2 14 3],'Color',[0.7 0.7 0.7],...
        'FontSize',8);
    set(handles.figures.output.rayplots.pushbutton2,'Enable','On');
    %%%%%%%%%%%%Plotting the first Graph
    if handles.input.output.rayplots.defgraph.enabledaxes(1)==1
        if handles.input.output.rayplots.defgraph.view(1).boxstatus(2)==1
        plot(handles.figures.output.rayplots.defgraph.axes(1),s(:,1),s(:,3))
        grid(handles.figures.output.rayplots.defgraph.axes(1))
        set(get(handles.figures.output.rayplots.defgraph.axes(1),'XLabel'),'String','Xp (m)');
        set(get(handles.figures.output.rayplots.defgraph.axes(1),'YLabel'),'String','Hm0(m)','FontSize',8);
        set(swan,'UserData',handles)
        end
    if handles.input.output.rayplots.defgraph.view(1).boxstatus(3)==1
        plot(handles.figures.output.rayplots.defgraph.axes(1),s(:,1),s(:,4))
        grid(handles.figures.output.rayplots.defgraph.axes(1))
        set(get(handles.figures.output.rayplots.defgraph.axes(1),'XLabel'),'String','Xp (m)');
        set(get(handles.figures.output.rayplots.defgraph.axes(1),'YLabel'),'String','Tp (s)','FontSize',8);
        set(swan,'UserData',handles)
    end
    if handles.input.output.rayplots.defgraph.view(1).boxstatus(4)==1
        plot(handles.figures.output.rayplots.defgraph.axes(1),s(:,1),s(:,5))
        grid(handles.figures.output.rayplots.defgraph.axes(1))
        xlabel(handles.figures.output.rayplots.defgraph.axes(1),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(1),'Tm01 (s)','FontSize',8)
        set(swan,'UserData',handles)
    end
    if handles.input.output.rayplots.defgraph.view(1).boxstatus(5)==1
        plot(handles.figures.output.rayplots.defgraph.axes(1),s(:,1),s(:,6))
        grid(handles.figures.output.rayplots.defgraph.axes(1))
        xlabel(handles.figures.output.rayplots.defgraph.axes(1),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(1),'Tm-1,0(S)','FontSize',8)
        set(swan,'UserData',handles)
    end
    if handles.input.output.rayplots.defgraph.view(1).boxstatus(6)==1
        dir=handles.input.boundaryconditions.meanwavedirection;
        alpha=handles.input.bottomprofile.alpha;
        dirplot=[];
        sd=s(:,7);
        for k=1:length(s(:,7))
            if dir>=alpha
                if (dir-alpha)>=180
                    dirplot(k)=180+alpha+sd(k)-0;
                else
                    dirplot(k)=alpha+sd(k)+180-0;
                end
            else
                if (alpha-dir)>=180
                    dirplot(k)=alpha+sd(k)-0-180;
                else
                    dirplot(k)=alpha+sd(k)-0-180;
                end
            end   
            %edit J van den Bos v1.3:
                    dirplot(k) = mod(dirplot(k),360);
        end
        plot(handles.figures.output.rayplots.defgraph.axes(1),s(:,1),dirplot)
        grid(handles.figures.output.rayplots.defgraph.axes(1))
        xlabel(handles.figures.output.rayplots.defgraph.axes(1),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(1),'Mean Wave Direction (deg N)','FontSize',8)
    end
    if handles.input.output.rayplots.defgraph.view(1).boxstatus(7)==1
        plot(handles.figures.output.rayplots.defgraph.axes(1),s(:,1),s(:,8))
        grid(handles.figures.output.rayplots.defgraph.axes(1))
        xlabel(handles.figures.output.rayplots.defgraph.axes(1),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(1),'Directional Spreading (deg)','FontSize',8)
        set(swan,'UserData',handles)
    end
    if handles.input.output.rayplots.defgraph.view(1).boxstatus(8)==1
        plot(handles.figures.output.rayplots.defgraph.axes(1),s(:,1),-s(:,9))
        grid(handles.figures.output.rayplots.defgraph.axes(1))
        xlabel(handles.figures.output.rayplots.defgraph.axes(1),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(1),'Water Depth (m)','FontSize',8)
        set(swan,'UserData',handles)
    end
    if (handles.input.boundaryconditions.radiostatus4==1 &&  handles.input.output.rayplots.defgraph.view(1).boxstatus(9)==1)
        plot(handles.figures.output.rayplots.defgraph.axes(1),s(:,1),s(:,10))
        grid(handles.figures.output.rayplots.defgraph.axes(1))
        xlabel(handles.figures.output.rayplots.defgraph.axes(1),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(1),'Wave Setup (m)','FontSize',8)
        set(swan,'UserData',handles)
    end
    if handles.input.output.rayplots.defgraph.view(1).boxstatus(10)==1;   %Edit v1.3: changed to H1/3
        plot(handles.figures.output.rayplots.defgraph.axes(1),s(:,1),h13)
        grid(handles.figures.output.rayplots.defgraph.axes(1))
        xlabel(handles.figures.output.rayplots.defgraph.axes(1),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(1),'H1/3 (m)','FontSize',8)
        set(swan,'UserData',handles)
    end
    if handles.input.output.rayplots.defgraph.view(1).boxstatus(11)==1
        plot(handles.figures.output.rayplots.defgraph.axes(1),s(:,1),h2p)
        grid(handles.figures.output.rayplots.defgraph.axes(1))
        xlabel(handles.figures.output.rayplots.defgraph.axes(1),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(1),'H2% (m)','FontSize',8)
        set(swan,'UserData',handles)
    end
    if handles.input.output.rayplots.defgraph.view(1).boxstatus(12)==1
        plot(handles.figures.output.rayplots.defgraph.axes(1),s(:,1),h110)
        grid(handles.figures.output.rayplots.defgraph.axes(1))
        xlabel(handles.figures.output.rayplots.defgraph.axes(1),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(1),'H1/10 (m)','FontSize',8)
        set(swan,'UserData',handles)
    end
    end
    %%%%%%%%%%%Plotting the Second Graph
    if handles.input.output.rayplots.defgraph.enabledaxes(2)==1
        if handles.input.output.rayplots.defgraph.view(2).boxstatus(2)==1
        plot(handles.figures.output.rayplots.defgraph.axes(2),s(:,1),s(:,3))
        grid(handles.figures.output.rayplots.defgraph.axes(2))
        set(handles.figures.output.rayplots.defgraph.axes(2))
        set(get(handles.figures.output.rayplots.defgraph.axes(2),'XLabel'),'String','Xp (m)');
        set(get(handles.figures.output.rayplots.defgraph.axes(2),'YLabel'),'String','Hm0 (m)','FontSize',8);
        set(swan,'UserData',handles)
    end
    if handles.input.output.rayplots.defgraph.view(2).boxstatus(3)==1
        plot(handles.figures.output.rayplots.defgraph.axes(2),s(:,1),s(:,4))
        grid(handles.figures.output.rayplots.defgraph.axes(2))
        set(get(handles.figures.output.rayplots.defgraph.axes(2),'XLabel'),'String','Xp (m)');
        set(get(handles.figures.output.rayplots.defgraph.axes(2),'YLabel'),'String','Tp (s)','FontSize',8);
        set(swan,'UserData',handles)
    end
    if handles.input.output.rayplots.defgraph.view(2).boxstatus(4)==1
        plot(handles.figures.output.rayplots.defgraph.axes(2),s(:,1),s(:,5))
        grid(handles.figures.output.rayplots.defgraph.axes(2))
        xlabel(handles.figures.output.rayplots.defgraph.axes(2),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(2),'Tm01 (s)','FontSize',8)
        set(swan,'UserData',handles)
    end
    if handles.input.output.rayplots.defgraph.view(2).boxstatus(5)==1
        plot(handles.figures.output.rayplots.defgraph.axes(2),s(:,1),s(:,6))
        grid(handles.figures.output.rayplots.defgraph.axes(2))
        xlabel(handles.figures.output.rayplots.defgraph.axes(2),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(2),'Tm-1,0 (s)','FontSize',8)
        set(swan,'UserData',handles)
    end
    if handles.input.output.rayplots.defgraph.view(2).boxstatus(6)==1
        dir=handles.input.boundaryconditions.meanwavedirection;
        alpha=handles.input.bottomprofile.alpha;
        dirplot=[];
        sd=s(:,7);
        for k=1:length(s(:,7))
            if dir>=alpha
                if (dir-alpha)>=180
                    dirplot(k)=180+alpha+sd(k)-0;
                else
                    dirplot(k)=alpha+sd(k)+180-0;
                end
            else
                if (alpha-dir)>=180
                    dirplot(k)=alpha+sd(k)-0-180;
                else
                    dirplot(k)=alpha+sd(k)-0-180;
                end
            end   
            %edit J van den Bos v1.3:
                    dirplot(k) = mod(dirplot(k),360);
        end
        plot(handles.figures.output.rayplots.defgraph.axes(2),s(:,1),dirplot)
        grid(handles.figures.output.rayplots.defgraph.axes(2))
        xlabel(handles.figures.output.rayplots.defgraph.axes(2),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(2),'Mean Wave Direction (deg N)','FontSize',8)
        set(swan,'UserData',handles)
    end
    if handles.input.output.rayplots.defgraph.view(2).boxstatus(7)==1
        plot(handles.figures.output.rayplots.defgraph.axes(2),s(:,1),s(:,8))
        grid(handles.figures.output.rayplots.defgraph.axes(2))
        xlabel(handles.figures.output.rayplots.defgraph.axes(2),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(2),'Directional Spreading (deg)','FontSize',8)
        set(swan,'UserData',handles)
    end
    if handles.input.output.rayplots.defgraph.view(2).boxstatus(8)==1
        plot(handles.figures.output.rayplots.defgraph.axes(2),s(:,1),-s(:,9))
        grid(handles.figures.output.rayplots.defgraph.axes(2))
        xlabel(handles.figures.output.rayplots.defgraph.axes(2),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(2),'Water Depth (m)','FontSize',8)
        set(swan,'UserData',handles)
    end
    if (handles.input.boundaryconditions.radiostatus4==1 &&  handles.input.output.rayplots.defgraph.view(2).boxstatus(9)==1)
        plot(handles.figures.output.rayplots.defgraph.axes(2),s(:,1),s(:,10))
        grid(handles.figures.output.rayplots.defgraph.axes(2))
        xlabel(handles.figures.output.rayplots.defgraph.axes(2),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(2),'Wave Setup (m)','FontSize',8)
        set(swan,'UserData',handles)
    end
    if handles.input.output.rayplots.defgraph.view(2).boxstatus(10)==1;   %Edit v1.3: changed to H1/3
        plot(handles.figures.output.rayplots.defgraph.axes(2),s(:,1),h13)
        grid(handles.figures.output.rayplots.defgraph.axes(2))
        xlabel(handles.figures.output.rayplots.defgraph.axes(2),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(2),'H1/3 (m)','FontSize',8)
        set(swan,'UserData',handles)
    end
    if handles.input.output.rayplots.defgraph.view(2).boxstatus(11)==1
        plot(handles.figures.output.rayplots.defgraph.axes(2),s(:,1),h2p)
        grid(handles.figures.output.rayplots.defgraph.axes(2))
        xlabel(handles.figures.output.rayplots.defgraph.axes(2),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(2),'H2% (m)','FontSize',8)
        set(swan,'UserData',handles)
    end
    if handles.input.output.rayplots.defgraph.view(2).boxstatus(12)==1
        plot(handles.figures.output.rayplots.defgraph.axes(2),s(:,1),h110)
        grid(handles.figures.output.rayplots.defgraph.axes(2))
        xlabel(handles.figures.output.rayplots.defgraph.axes(2),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(2),'H1/10 (m)','FontSize',8)
        set(swan,'UserData',handles)
    end
    end
    %%%%%%%%%%%%%The Third Graph
    if handles.input.output.rayplots.defgraph.enabledaxes(3)==1
        if handles.input.output.rayplots.defgraph.view(3).boxstatus(2)==1
        plot(handles.figures.output.rayplots.defgraph.axes(3),s(:,1),s(:,3))
        grid(handles.figures.output.rayplots.defgraph.axes(3))
        set(get(handles.figures.output.rayplots.defgraph.axes(3),'XLabel'),'String','Xp (m)');
        set(get(handles.figures.output.rayplots.defgraph.axes(3),'YLabel'),'String','Hm0 (m)','FontSize',8);
        set(swan,'UserData',handles)
        end
    if handles.input.output.rayplots.defgraph.view(3).boxstatus(3)==1
        plot(handles.figures.output.rayplots.defgraph.axes(3),s(:,1),s(:,4))
        grid(handles.figures.output.rayplots.defgraph.axes(3))
        set(get(handles.figures.output.rayplots.defgraph.axes(3),'XLabel'),'String','Xp (m)');
        set(get(handles.figures.output.rayplots.defgraph.axes(3),'YLabel'),'String','Tp (s)','FontSize',8);
        set(swan,'UserData',handles)
    end
    if handles.input.output.rayplots.defgraph.view(3).boxstatus(4)==1
        plot(handles.figures.output.rayplots.defgraph.axes(3),s(:,1),s(:,5))
        grid(handles.figures.output.rayplots.defgraph.axes(3))
        xlabel(handles.figures.output.rayplots.defgraph.axes(3),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(3),'Tm01 (s)','FontSize',8)
        set(swan,'UserData',handles)
    end
    if handles.input.output.rayplots.defgraph.view(3).boxstatus(5)==1
        plot(handles.figures.output.rayplots.defgraph.axes(3),s(:,1),s(:,6))
        grid(handles.figures.output.rayplots.defgraph.axes(3))
        xlabel(handles.figures.output.rayplots.defgraph.axes(3),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(3),'Tm-1,0 (s)','FontSize',8)
        set(swan,'UserData',handles)
    end
    if handles.input.output.rayplots.defgraph.view(3).boxstatus(6)==1
        dir=handles.input.boundaryconditions.meanwavedirection;
        alpha=handles.input.bottomprofile.alpha;
        dirplot=[];
        sd=s(:,7);
        for k=1:length(s(:,7))
            if dir>=alpha
                if (dir-alpha)>=180
                    dirplot(k)=180+alpha+sd(k)-0;
                else
                    dirplot(k)=alpha+sd(k)+180-0;
                end
            else
                if (alpha-dir)>=180
                    dirplot(k)=alpha+sd(k)-0-180;
                else
                    dirplot(k)=alpha+sd(k)-0-180;
                end
            end   
            %edit J van den Bos v1.3:
                    dirplot(k) = mod(dirplot(k),360);
        end
        plot(handles.figures.output.rayplots.defgraph.axes(3),s(:,1),dirplot)
        grid(handles.figures.output.rayplots.defgraph.axes(3))
        xlabel(handles.figures.output.rayplots.defgraph.axes(3),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(3),'Mean Wave Direction (deg N)','FontSize',8)
        set(swan,'UserData',handles)
    end
    if handles.input.output.rayplots.defgraph.view(3).boxstatus(7)==1
        plot(handles.figures.output.rayplots.defgraph.axes(3),s(:,1),s(:,8))
        grid(handles.figures.output.rayplots.defgraph.axes(3))
        xlabel(handles.figures.output.rayplots.defgraph.axes(3),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(3),'Directional Spreading (deg)','FontSize',8)
        set(swan,'UserData',handles)
    end
    if handles.input.output.rayplots.defgraph.view(3).boxstatus(8)==1
        plot(handles.figures.output.rayplots.defgraph.axes(3),s(:,1),-s(:,9))
        grid(handles.figures.output.rayplots.defgraph.axes(3))
        xlabel(handles.figures.output.rayplots.defgraph.axes(3),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(3),'Water Depth (m)','FontSize',8)
        set(swan,'UserData',handles)
    end
    if (handles.input.boundaryconditions.radiostatus4==1 &&  handles.input.output.rayplots.defgraph.view(3).boxstatus(9)==1)
        plot(handles.figures.output.rayplots.defgraph.axes(3),s(:,1),s(:,10))
        grid(handles.figures.output.rayplots.defgraph.axes(3))
        xlabel(handles.figures.output.rayplots.defgraph.axes(3),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(3),'Wave Setup (m)','FontSize',8)
        set(swan,'UserData',handles)
    end
    if handles.input.output.rayplots.defgraph.view(3).boxstatus(10)==1;   %Edit v1.3: changed to H1/3
        plot(handles.figures.output.rayplots.defgraph.axes(3),s(:,1),h13)
        grid(handles.figures.output.rayplots.defgraph.axes(3))
        xlabel(handles.figures.output.rayplots.defgraph.axes(3),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(3),'H1/3 (m)','FontSize',8)
        set(swan,'UserData',handles)
    end
    if handles.input.output.rayplots.defgraph.view(3).boxstatus(11)==1
        plot(handles.figures.output.rayplots.defgraph.axes(3),s(:,1),h2p)
        grid(handles.figures.output.rayplots.defgraph.axes(3))
        xlabel(handles.figures.output.rayplots.defgraph.axes(3),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(3),'H2% (m)','FontSize',8)
        set(swan,'UserData',handles)
    end
    if handles.input.output.rayplots.defgraph.view(3).boxstatus(12)==1
        plot(handles.figures.output.rayplots.defgraph.axes(3),s(:,1),h110)
        grid(handles.figures.output.rayplots.defgraph.axes(3))
        xlabel(handles.figures.output.rayplots.defgraph.axes(3),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(3),'H1/10 (m)','FontSize',8)
        set(swan,'UserData',handles)
    end
    end
    %%%%%%%%%Plotting the 4th Graph
    if handles.input.output.rayplots.defgraph.enabledaxes(4)==1
        if handles.input.output.rayplots.defgraph.view(4).boxstatus(2)==1
        plot(handles.figures.output.rayplots.defgraph.axes(4),s(:,1),s(:,3))
        grid(handles.figures.output.rayplots.defgraph.axes(4))
        set(get(handles.figures.output.rayplots.defgraph.axes(4),'XLabel'),'String','Xp (m)');
        set(get(handles.figures.output.rayplots.defgraph.axes(4),'YLabel'),'String','Hm0 (m)','FontSize',8);
        set(swan,'UserData',handles)
        close(handles.figures.input.f10)
        end
    if handles.input.output.rayplots.defgraph.view(4).boxstatus(3)==1
        plot(handles.figures.output.rayplots.defgraph.axes(4),s(:,1),s(:,4))
        grid(handles.figures.output.rayplots.defgraph.axes(4))
        set(get(handles.figures.output.rayplots.defgraph.axes(4),'XLabel'),'String','Xp (m)');
        set(get(handles.figures.output.rayplots.defgraph.axes(4),'YLabel'),'String','Tp (s)','FontSize',8);
        set(swan,'UserData',handles)
        close(handles.figures.input.f10)
    end
    if handles.input.output.rayplots.defgraph.view(4).boxstatus(4)==1
        plot(handles.figures.output.rayplots.defgraph.axes(4),s(:,1),s(:,5))
        grid(handles.figures.output.rayplots.defgraph.axes(4))
        xlabel(handles.figures.output.rayplots.defgraph.axes(4),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(4),'Tm01 (s)','FontSize',8)
        set(swan,'UserData',handles)
        close(handles.figures.input.f10)
    end
    if handles.input.output.rayplots.defgraph.view(4).boxstatus(5)==1
        plot(handles.figures.output.rayplots.defgraph.axes(4),s(:,1),s(:,6))
        grid(handles.figures.output.rayplots.defgraph.axes(4))
        xlabel(handles.figures.output.rayplots.defgraph.axes(4),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(4),'Tm-1,0 (s)','FontSize',8)
        set(swan,'UserData',handles)
        close(handles.figures.input.f10)
    end
    if handles.input.output.rayplots.defgraph.view(4).boxstatus(6)==1
        dir=handles.input.boundaryconditions.meanwavedirection;
        alpha=handles.input.bottomprofile.alpha;
        dirplot=[];
        sd=s(:,7);
        for k=1:length(s(:,7))
            if dir>=alpha
                if (dir-alpha)>=180
                    dirplot(k)=180+alpha+sd(k)-0;
                else
                    dirplot(k)=alpha+sd(k)+180-0;
                end
            else
                if (alpha-dir)>=180
                    dirplot(k)=alpha+sd(k)-0-180;
                else
                    dirplot(k)=alpha+sd(k)-0-180;
                end
            end    
            %edit J van den Bos v1.3:
                    dirplot(k) = mod(dirplot(k),360);
        end
        plot(handles.figures.output.rayplots.defgraph.axes(4),s(:,1),dirplot)
        grid(handles.figures.output.rayplots.defgraph.axes(4))
        xlabel(handles.figures.output.rayplots.defgraph.axes(4),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(4),'Mean Wave Direction (deg N)','FontSize',8)
        set(swan,'UserData',handles)
        close(handles.figures.input.f10)
    end
    if handles.input.output.rayplots.defgraph.view(4).boxstatus(7)==1
        plot(handles.figures.output.rayplots.defgraph.axes(4),s(:,1),s(:,8))
        grid(handles.figures.output.rayplots.defgraph.axes(4))
        xlabel(handles.figures.output.rayplots.defgraph.axes(4),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(4),'Directional Spreading (deg)','FontSize',8)
        set(swan,'UserData',handles)
        close(handles.figures.input.f10)
    end
    if handles.input.output.rayplots.defgraph.view(4).boxstatus(8)==1
        plot(handles.figures.output.rayplots.defgraph.axes(4),s(:,1),-s(:,9))
        grid(handles.figures.output.rayplots.defgraph.axes(4))
        xlabel(handles.figures.output.rayplots.defgraph.axes(4),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(4),'Water Depth (m)','FontSize',8)
        set(swan,'UserData',handles)
        close(handles.figures.input.f10)
    end
    if (handles.input.boundaryconditions.radiostatus4==1 &&  handles.input.output.rayplots.defgraph.view(4).boxstatus(9)==1)
        plot(handles.figures.output.rayplots.defgraph.axes(4),s(:,1),s(:,10))
        grid(handles.figures.output.rayplots.defgraph.axes(4))
        xlabel(handles.figures.output.rayplots.defgraph.axes(4),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(4),'Wave Setup (m)','FontSize',8)
        set(swan,'UserData',handles)
        close(handles.figures.input.f10)
    end
    if handles.input.output.rayplots.defgraph.view(4).boxstatus(10)==1;   %Edit v1.3: changed to H1/3
        plot(handles.figures.output.rayplots.defgraph.axes(4),s(:,1),h13)
        grid(handles.figures.output.rayplots.defgraph.axes(4))
        xlabel(handles.figures.output.rayplots.defgraph.axes(4),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(4),'H1/3 (m)','FontSize',8)
        set(swan,'UserData',handles)
        close(handles.figures.input.f10)
    end
    if handles.input.output.rayplots.defgraph.view(4).boxstatus(11)==1
        plot(handles.figures.output.rayplots.defgraph.axes(4),s(:,1),h2p)
        grid(handles.figures.output.rayplots.defgraph.axes(4))
        xlabel(handles.figures.output.rayplots.defgraph.axes(4),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(4),'H2% (m)','FontSize',8)
        set(swan,'UserData',handles)
        close(handles.figures.input.f10)
    end
    if handles.input.output.rayplots.defgraph.view(4).boxstatus(12)==1
        plot(handles.figures.output.rayplots.defgraph.axes(4),s(:,1),h110)
        grid(handles.figures.output.rayplots.defgraph.axes(4))
        xlabel(handles.figures.output.rayplots.defgraph.axes(4),'Xp (m)')
        ylabel(handles.figures.output.rayplots.defgraph.axes(4),'H1/10 (m)','FontSize',8)
        set(swan,'UserData',handles)
        close(handles.figures.input.f10)
    end
    end
end

% Set handles to 'Userdata' property
set(swan,'UserData',handles);

end
end