function output_rayplots_defgraph_clbk(varargin)

% Find structure and handles
global handles
swan=findobj('Tag','swan1d');
handles=get(swan,'Userdata');

handles.input.output.rayplots.defgraph.enabledaxes=[1 0 0 0];
handles.figures.output.rayplots.defgraph.viewstatus=zeros(1,4);
handles.figures.output.rayplots.defgraph.viewstatus(1)=1;
handles.figures.output.rayplots.defgraph.viewstatus(2)=0;
handles.figures.output.rayplots.defgraph.viewstatus(3)=0;
handles.figures.output.rayplots.defgraph.viewstatus(4)=0;
handles.input.output.rayplots.defgraph.view(1).boxstatus=zeros(1,12);
handles.input.output.rayplots.defgraph.view(2).boxstatus=zeros(1,12);
handles.input.output.rayplots.defgraph.view(3).boxstatus=zeros(1,12);
handles.input.output.rayplots.defgraph.view(4).boxstatus=zeros(1,12);

% create ...
handles.figures.input.f10=figure('Name','SwanOne - Define Ray Plots','Units','Centimeters','Position',...
    [11 6 12.6 13.1],'Menubar','none','Numbertitle','Off','Tag','Bottom Profile','Color',[0.95 0.95 0.95]);
%% push buttons
h2=uibuttongroup('Parent',handles.figures.input.f10,'Units','Centimeters','Position',[0.3 0.1 10 11.9],'BackGroundColor',[0.95 0.95 0.95]);
handles.figures.output.rayplots.defgraph.pushbutton1=uicontrol('style','pushbutton','Units','centimeters',...
    'Position',[0.3 12 2.5 0.7],'String','View 1','BackgroundColor',...
    [0.6 0.35 0.1],'Callback',@output_rayplots_defgraph_view1);
handles.figures.output.rayplots.defgraph.pushbutton2=uicontrol('style','pushbutton','Units','centimeters',...
    'Position',[2.8 12 2.5 0.7],'String','View 2','BackgroundColor',...
    [0.75 0.75 0.75],'Callback',@output_rayplots_defgraph_view2);
handles.figures.output.rayplots.defgraph.pushbutton3=uicontrol('style','pushbutton','Units','centimeters',...
    'Position',[5.3 12 2.5 0.7],'String','View 3','BackgroundColor',...
    [0.75 0.75 0.75],'Callback',@output_rayplots_defgraph_view3);
handles.figures.output.rayplots.defgraph.pushbutton4=uicontrol('style','pushbutton','Units','centimeters',...
    'Position',[7.8 12 2.5 0.7],'String','View 4','BackgroundColor',...
    [0.75 0.75 0.75],'Callback',@output_rayplots_defgraph_view4);
handles.figures.output.rayplots.defgraph.pushbutton5=uicontrol('style','pushbutton','Units','centimeters',...
    'Position',[10.45 1 2 0.7],'String','Done','BackgroundColor',...
    [0.95 0.95 0.95],'Callback',@output_rayplot_defgraph_done_clbk);

%% check boxes
handles.input.output.rayplots.defgraph.enabledaxes=zeros(1,4);
handles.figures.output.rayplots.defgraph.checkbox1=uicontrol('Parent',h2,'Style','radiobutton','Units','Centimeters'...
    ,'Position',[0.1 11 9.75 0.7],'String','XP            X-Coordinate',...
    'BackgroundColor',[1 1 1],'KeyPressFcn',@output_figures_rayplot_buttondownfcn,'Enable','Off');
handles.figures.output.rayplots.defgraph.checkbox2=uicontrol('Parent',h2,'Style','radiobutton','Units','Centimeters'...
    ,'Position',[0.1 10 9.75 0.7],'String','Hm0      Spectral Significant Wave Height (m)','BackgroundColor',[1 1 1],'Value',1);
handles.figures.output.rayplots.defgraph.checkbox3=uicontrol('Parent',h2,'Style','radiobutton','Units','Centimeters'...
    ,'Position',[0.1 9 9.75 0.7],'String','RTP          Peak Period(s)','BackgroundColor',[1 1 1]);
handles.figures.output.rayplots.defgraph.checkbox4=uicontrol('Parent',h2,'Style','radiobutton','Units','Centimeters'...
    ,'Position',[0.1 8 9.75 0.7],'String','TM01        Mean Absolute Wave Period(s)','BackgroundColor',[1 1 1]);
handles.figures.output.rayplots.defgraph.checkbox5=uicontrol('Parent',h2,'Style','radiobutton','Units','Centimeters'...
    ,'Position',[0.1 7 9.75 0.7],'String','TMM10      Period Based on First Negative Moment of Energy Spectrum (s)','BackgroundColor',[1 1 1]);
handles.figures.output.rayplots.defgraph.checkbox6=uicontrol('Parent',h2,'Style','radiobutton','Units','Centimeters'...
    ,'Position',[0.1 6 9.75 0.7],'String','DIR           Mean Wave direction (deg N)','BackgroundColor',[1 1 1]);
handles.figures.output.rayplots.defgraph.checkbox7=uicontrol('Parent',h2,'Style','radiobutton','Units','Centimeters'...
    ,'Position',[0.1 5 9.75 0.7],'String','DSPR       Directional Spreading of Waves (deg)','BackgroundColor',[1 1 1]);
handles.figures.output.rayplots.defgraph.checkbox8=uicontrol('Parent',h2,'Style','radiobutton','Units','Centimeters'...
    ,'Position',[0.1 4 9.75 0.7],'String','DEPTH      Water Depth(m)','BackgroundColor',[1 1 1]);
handles.figures.output.rayplots.defgraph.checkbox9=uicontrol('Parent',h2,'Style','radiobutton','Units','Centimeters'...
    ,'Position',[0.1 3 9.75 0.7],'String','SETUP      Wave Induced Setup (m)','BackgroundColor',[1 1 1]);
if handles.input.boundaryconditions.radiostatus5==1
    set(handles.figures.output.rayplots.defgraph.checkbox9,'Enable','Off');
end
% handles.figures.output.rayplots.defgraph.checkbox10=uicontrol('Parent',h2,'Style','radiobutton','Units','Centimeters'...
%     ,'Position',[0.1 2 9.75 0.7],'String','Hrms         Root Mean Squared Wave height','BackgroundColor',[1 1 1],'Enable','On');
handles.figures.output.rayplots.defgraph.checkbox11=uicontrol('Parent',h2,'Style','radiobutton','Units','Centimeters'...
    ,'Position',[0.1 2 9.75 0.7],'String','H2%         Wave Height Exceeded by 2% of the waves (m)','BackgroundColor',[1 1 1],'Enable','On');
handles.figures.output.rayplots.defgraph.checkbox12=uicontrol('Parent',h2,'Style','radiobutton','Units','Centimeters'...
    ,'Position',[0.1 1 9.75 0.7],'String','H1/10    Mean Wave Height of the Highest 10% of the waves (m)','BackgroundColor',[1 1 1],'Enable','On');
handles.figures.output.rayplots.defgraph.checkbox10=uicontrol('Parent',h2,'Style','radiobutton','Units','Centimeters'...
    ,'Position',[0.1 0 9.75 0.7],'String','H1/3         Mean Wave Height of the Highest 1/3rd of the waves (m)','BackgroundColor',[1 1 1],'Enable','On');

%%  Saving Process
set(swan,'UserData',handles)

