function output_rayplots_options_clbk(varargin)

% Find structure and handles
global handles
swan=findobj('Tag','swan1d');
handles=get(swan,'Userdata');

handles.figures.input.f12=figure('Name','Swan1D Plot-Options','Units','Centimeters','Position',...
    [11 6 8 12],'Menubar','none','Numbertitle','Off','Color',[0.95 0.95 0.95]);
%winontop(handles.figures.input.f12)
%% Uibuttongroups
h1=uibuttongroup('Parent',handles.figures.input.f12,'Units','Centimeters','Position',...
    [0.5 10.3 7 1.4],'HighlightColor',[0.5 0.5 0.5],'BackgroundColor',[1 1 1],'Title','X-Axis');
h2=uibuttongroup('Parent',handles.figures.input.f12,'Units','Centimeters','Position',...
    [0.5 3.2 7 7],'HighlightColor',[0.5 0.5 0.5],'BackgroundColor',[1 1 1],'Title','Y-Axis');
h3=uibuttongroup('Parent',h2,'Units','Centimeters','Position',...
    [0.25 5 6.4 1.4],'HighlightColor',[0.5 0.5 0.5],'BackgroundColor',[1 1 1],'Title','View1');
h4=uibuttongroup('Parent',h2,'Units','Centimeters','Position',...
    [0.25 3.5 6.4 1.4],'HighlightColor',[0.5 0.5 0.5],'BackgroundColor',[1 1 1],'Title','View2');
h5=uibuttongroup('Parent',h2,'Units','Centimeters','Position',...
    [0.25 1.85 6.4 1.4],'HighlightColor',[0.5 0.5 0.5],'BackgroundColor',[1 1 1],'Title','View3');
h6=uibuttongroup('Parent',h2,'Units','Centimeters','Position',...
    [0.25 0.2 6.4 1.4],'HighlightColor',[0.5 0.5 0.5],'BackgroundColor',[1 1 1],'Title','View4');
h7=uibuttongroup('Parent',handles.figures.input.f12,'Units','Centimeters','Position',...
    [0.5 1.5 7 1.4],'HighlightColor',[0.5 0.5 0.5],'BackgroundColor',[1 1 1]);
%% Checkbox for grid lines
handles.figures.output.rayplots.options.checkbox=uicontrol('Parent',h7,'Style','Checkbox','Units','Centimeters'...
    ,'Position',[0.7 0.25 4 0.7],'String','  Gridlines','BackgroundColor',[1 1 1],'Value',1);
%% Buttons
handles.figures.output.rayplots.options.pushbutton1=uicontrol('style','pushbutton','Units','centimeters',...
    'Position',[1.5 0.4 2 0.7],'String','Done..','BackgroundColor',...
    [0.75 0.75 0.75],'Callback',@output_rayplot_options_done_clbk);
handles.figures.output.rayplots.options.pushbutton2=uicontrol('style','pushbutton','Units','centimeters',...
    'Position',[4.3 0.4 2 0.7],'String','Cancel','BackgroundColor',...
    [0.75 0.75 0.75],'Callback','Close');
%% Edit Texts
%%%%%%% X-Axis
handles.figures.output.rayplots.options.edit(1)=uicontrol('Parent',h1,'style','edit','Units',...
    'Centimeters','Position',[1.2 0.3 1.7 0.6]);
handles.figures.output.rayplots.options.text(1)=uicontrol('Parent',h1,'Style','text','String','Xmin','Units',...
    'Centimeters','Position',[0.3 0.2 0.7 0.6],'BackgroundColor',[1 1 1]);
handles.figures.output.rayplots.options.edit(2)=uicontrol('Parent',h1,'style','edit','Units',...
    'Centimeters','Position',[4.6 0.3 1.7 0.6]);
handles.figures.output.rayplots.options.text(2)=uicontrol('Parent',h1,'Style','text','String','Xmax','Units',...
    'Centimeters','Position',[3.7 0.2 0.75 0.6],'BackgroundColor',[1 1 1]);
%%%%%%% view1
handles.figures.output.rayplots.options.edit(3)=uicontrol('Parent',h3,'style','edit','Units',...
    'Centimeters','Position',[1.1 0.25 1.7 0.6]);
handles.figures.output.rayplots.options.text(3)=uicontrol('Parent',h3,'Style','text','String','Ymin','Units',...
    'Centimeters','Position',[0.3 0.15 0.7 0.6],'BackgroundColor',[1 1 1]);
handles.figures.output.rayplots.options.edit(4)=uicontrol('Parent',h3,'style','edit','Units',...
    'Centimeters','Position',[4.3 0.25 1.7 0.6]);
handles.figures.output.rayplots.options.text(4)=uicontrol('Parent',h3,'Style','text','String','Ymax','Units',...
    'Centimeters','Position',[3.4 0.15 0.75 0.6],'BackgroundColor',[1 1 1]);
%%%%%%% view2
handles.figures.output.rayplots.options.edit(5)=uicontrol('Parent',h4,'style','edit','Units',...
    'Centimeters','Position',[1.1 0.25 1.7 0.6],'Enable','Off');
handles.figures.output.rayplots.options.text(5)=uicontrol('Parent',h4,'Style','text','String','Ymin','Units',...
    'Centimeters','Position',[0.3 0.15 0.7 0.6],'BackgroundColor',[1 1 1],'Enable','Off');
handles.figures.output.rayplots.options.edit(6)=uicontrol('Parent',h4,'style','edit','Units',...
    'Centimeters','Position',[4.3 0.25 1.7 0.6],'Enable','Off');
handles.figures.output.rayplots.options.text(6)=uicontrol('Parent',h4,'Style','text','String','Ymax','Units',...
    'Centimeters','Position',[3.4 0.15 0.75 0.6],'BackgroundColor',[1 1 1],'Enable','Off');
%%%%%%% view3
handles.figures.output.rayplots.options.edit(7)=uicontrol('Parent',h5,'style','edit','Units',...
    'Centimeters','Position',[1.1 0.25 1.7 0.6],'Enable','Off');
handles.figures.output.rayplots.options.text(7)=uicontrol('Parent',h5,'Style','text','String','Ymin','Units',...
    'Centimeters','Position',[0.3 0.15 0.7 0.6],'BackgroundColor',[1 1 1],'Enable','Off');
handles.figures.output.rayplots.options.edit(8)=uicontrol('Parent',h5,'style','edit','Units',...
    'Centimeters','Position',[4.3 0.25 1.7 0.6],'Enable','Off');
handles.figures.output.rayplots.options.text(8)=uicontrol('Parent',h5,'Style','text','String','Ymax','Units',...
    'Centimeters','Position',[3.4 0.15 0.75 0.6],'BackgroundColor',[1 1 1],'Enable','Off');
%%%%%%% view4
handles.figures.output.rayplots.options.edit(9)=uicontrol('Parent',h6,'style','edit','Units',...
    'Centimeters','Position',[1.1 0.25 1.7 0.6],'Enable','Off');
handles.figures.output.rayplots.options.text(9)=uicontrol('Parent',h6,'Style','text','String','Ymin','Units',...
    'Centimeters','Position',[0.3 0.15 0.7 0.6],'BackgroundColor',[1 1 1],'Enable','Off');
handles.figures.output.rayplots.options.edit(10)=uicontrol('Parent',h6,'style','edit','Units',...
    'Centimeters','Position',[4.3 0.25 1.7 0.6],'Enable','Off');
handles.figures.output.rayplots.options.text(10)=uicontrol('Parent',h6,'Style','text','String','Ymax','Units',...
    'Centimeters','Position',[3.4 0.15 0.75 0.6],'BackgroundColor',[1 1 1],'Enable','Off');
%% in case of 1 graph
if handles.input.output.rayplots.defgraph.numofaxes==1
    set(handles.figures.output.rayplots.options.edit(3),'Enable','On')
    ylim=get(handles.figures.output.rayplots.defgraph.axes(1),'Ylim');
    xlim=get(handles.figures.output.rayplots.defgraph.axes(1),'Xlim')
    set(handles.figures.output.rayplots.options.edit(1),'String',num2str(xlim(1)))
    set(handles.figures.output.rayplots.options.edit(2),'String',num2str(xlim(2)))
    set(handles.figures.output.rayplots.options.edit(3),'String',num2str(ylim(1)))
    set(handles.figures.output.rayplots.options.text(3),'Enable','On')
    set(handles.figures.output.rayplots.options.edit(4),'Enable','On')
    set(handles.figures.output.rayplots.options.edit(4),'String',num2str(ylim(2)))
    set(handles.figures.output.rayplots.options.text(4),'Enable','On')
end
%% in case of 2 graphs
if handles.input.output.rayplots.defgraph.numofaxes==2
    for i=1:2
        set(handles.figures.output.rayplots.options.edit(2*i+1),'Enable','On')
        ylim=get(handles.figures.output.rayplots.defgraph.axes(i),'Ylim');
        xlim=get(handles.figures.output.rayplots.defgraph.axes(1),'Xlim');
        set(handles.figures.output.rayplots.options.edit(1),'String',num2str(xlim(1)))
        set(handles.figures.output.rayplots.options.edit(2),'String',num2str(xlim(2)))
        set(handles.figures.output.rayplots.options.edit(2*i+1),'String',num2str(ylim(1)))
        set(handles.figures.output.rayplots.options.text(2*i+1),'Enable','On')
        set(handles.figures.output.rayplots.options.edit(2*i+2),'Enable','On')
        set(handles.figures.output.rayplots.options.edit(2*i+2),'String',num2str(ylim(2)))
        set(handles.figures.output.rayplots.options.text(2*i+2),'Enable','On')
    end
end
%% in case of 3 graphs
if handles.input.output.rayplots.defgraph.numofaxes==3
    for i=1:3
        set(handles.figures.output.rayplots.options.edit(2*i+1),'Enable','On')
        ylim=get(handles.figures.output.rayplots.defgraph.axes(i),'Ylim');
        xlim=get(handles.figures.output.rayplots.defgraph.axes(1),'Xlim');
        set(handles.figures.output.rayplots.options.edit(1),'String',num2str(xlim(1)))
        set(handles.figures.output.rayplots.options.edit(2),'String',num2str(xlim(2)))
        set(handles.figures.output.rayplots.options.edit(2*i+1),'String',num2str(ylim(1)))
        set(handles.figures.output.rayplots.options.text(2*i+1),'Enable','On')
        set(handles.figures.output.rayplots.options.edit(2*i+2),'Enable','On')
        set(handles.figures.output.rayplots.options.edit(2*i+2),'String',num2str(ylim(2)))
        set(handles.figures.output.rayplots.options.text(2*i+2),'Enable','On')
    end
end
%% in case of 4 graphs
if handles.input.output.rayplots.defgraph.numofaxes==4
    for i=1:4
        set(handles.figures.output.rayplots.options.edit(2*i+1),'Enable','On')
        ylim=get(handles.figures.output.rayplots.defgraph.axes(i),'Ylim');
        xlim=get(handles.figures.output.rayplots.defgraph.axes(1),'Xlim');
        set(handles.figures.output.rayplots.options.edit(1),'String',num2str(xlim(1)))
        set(handles.figures.output.rayplots.options.edit(2),'String',num2str(xlim(2)))
        set(handles.figures.output.rayplots.options.edit(2*i+1),'String',num2str(ylim(1)))
        set(handles.figures.output.rayplots.options.text(2*i+1),'Enable','On')
        set(handles.figures.output.rayplots.options.edit(2*i+2),'Enable','On')
        set(handles.figures.output.rayplots.options.edit(2*i+2),'String',num2str(ylim(2)))
        set(handles.figures.output.rayplots.options.text(2*i+2),'Enable','On')
    end
end

% Set handles to 'Userdata' property
set(swan,'UserData',handles);

end








