function output_spectrumplot_defgraph_clbk(varargin)

% Find structure and handles
global handles
swan=findobj('Tag','swan1d');
handles=get(swan,'Userdata');

handles.figures.input.f11=figure('Name','SwanOne - Define Spectrum Plots','Units','Centimeters','Position',...
    [11 6 10.6 8.1],'Menubar','none','Numbertitle','Off','Tag','Bottom Profile','Color',[0.95 0.95 0.95]);

handles.figures.output.spectrumplot.defgraph.pushbuttonstatus1=1;
handles.figures.output.spectrumplot.defgraph.pushbuttonstatus2=0;
handles.figures.output.spectrumplot.defgraph.pushbuttonstatus3=0;
handles.figures.output.spectrumplot.defgraph.pushbuttonstatus4=0;

if isfield(handles.input,'output')==1
    if isfield(handles.input.output,'spectrumplot')==1
        if isfield(handles.input.output.spectrumplot,'defgraph')
            if isfield(handles.input.output.spectrumplot.defgraph,'view1')==1
                handles.input.output.spectrumplot.defgraph=rmfield(handles.input.output.spectrumplot.defgraph,'view1');
            end
            if isfield(handles.input.output.spectrumplot.defgraph,'view2')==1
                handles.input.output.spectrumplot.defgraph=rmfield(handles.input.output.spectrumplot.defgraph,'view2');
            end
            if isfield(handles.input.output.spectrumplot.defgraph,'view3')==1
                handles.input.output.spectrumplot.defgraph=rmfield(handles.input.output.spectrumplot.defgraph,'view3');
            end
            if isfield(handles.input.output.spectrumplot.defgraph,'view4')==1
                handles.input.output.spectrumplot.defgraph=rmfield(handles.input.output.spectrumplot.defgraph,'view4');
            end
        end       
    end
end

%% View Buttons
h2=uibuttongroup('Parent',handles.figures.input.f11,'Units','Centimeters','Position',[0.15 1.1 10.35 7.9],'BackGroundColor',[0.95 0.95 0.95]);
handles.figures.output.spectrumplot.defgraph.pushbutton1=uicontrol('style','pushbutton','Units','centimeters',...
    'Position',[0.3 7.2 2.5 0.7],'String','View 1','BackgroundColor',...
    [0.6 0.35 0.1],'Callback',@output_rayplots_spectrumplot_view1);
handles.figures.output.spectrumplot.defgraph.pushbutton2=uicontrol('style','pushbutton','Units','centimeters',...
    'Position',[2.8 7.2 2.5 0.7],'String','View 2','BackgroundColor',...
    [0.75 0.75 0.75],'Callback',@output_rayplots_spectrumplot_view2);
handles.figures.output.spectrumplot.defgraph.pushbutton3=uicontrol('style','pushbutton','Units','centimeters',...
    'Position',[5.3 7.2 2.5 0.7],'String','View 3','BackgroundColor',...
    [0.75 0.75 0.75],'Callback',@output_rayplots_spectrumplot_view3);
handles.figures.output.spectrumplot.defgraph.pushbutton4=uicontrol('style','pushbutton','Units','centimeters',...
    'Position',[7.8 7.2 2.5 0.7],'String','View 4','BackgroundColor',...
    [0.75 0.75 0.75],'Callback',@output_rayplots_spectrumplot_view4);

%% PLot Type Radio Buttons
h3=uibuttongroup('Parent',handles.figures.input.f11,'Units','Centimeters','Position',[0.5 2.5 4.4 4],...
    'Title','Plot Type','BackGroundColor',[0.95 0.95 0.95]);
handles.figures.output.spectrumplot.defgraph.radio1=uicontrol('Parent',h3,'Style','Radio','Units','Centimeters',...
    'Position',[0.8 2.5 3 0.5],'String','1D-Spectrum','Value',1,'BackGroundColor',[0.95 0.95 0.95]);
handles.figures.output.spectrumplot.defgraph.radio2=uicontrol('Parent',h3,'Style','Radio','Units','Centimeters',...
    'Position',[0.8 1.6 3 0.5],'String','2D-Spectrum','Value',0,'Enable','Off','BackGroundColor',[0.95 0.95 0.95]);
handles.figures.output.spectrumplot.defgraph.radio3=uicontrol('Parent',h3,'Style','Radio','Units','Centimeters',...
    'Position',[0.8 0.7 3 0.5],'String','Both','Value',0,'Enable','Off','BackGroundColor',[0.95 0.95 0.95]);

%% Output Location
%h4=uibuttongroup('Parent',handles.figures.input.f11,'Units','Centimeters','Position',[0.5 2.5 4.4 4],...
 %   'Title','Plot Type');
h5=uibuttongroup('Parent',handles.figures.input.f11,'Units','Centimeters','Position',[5.2 2.5 4.4 4],...
    'Title','Output Location','BackGroundColor',[0.95 0.95 0.95]);
for i=1:8
    handles.output.spectrumplot.point(i)=handles.input.outputlocation.point(i);
end
% handles.output.spectrumplot.point(2)=str2num(handles.input.outputlocation.point2);
% handles.output.spectrumplot.point(3)=str2num(handles.input.outputlocation.point3);
% handles.output.spectrumplot.point(4)=str2num(handles.input.outputlocation.point4);
% handles.output.spectrumplot.point(5)=str2num(handles.input.outputlocation.point5);
% handles.output.spectrumplot.point(6)=str2num(handles.input.outputlocation.point6);
% handles.output.spectrumplot.point(7)=str2num(handles.input.outputlocation.point7);
% handles.output.spectrumplot.point(8)=str2num(handles.input.outputlocation.point8);
% handles.output.spectrumplot.point(1)=25;
%point(3:8)=[3 4 5 6 7 8];
popstring='none';
for i=1:8
    if handles.output.spectrumplot.point(i)~=0
        popstring=[popstring '|' 'point' num2str(i)];
    end
end
handles.figures.output.spectrumplot.defgraph.popstring=popstring;
handles.figures.output.spectrumplot.defgraph.popupmenu=uicontrol('parent',h5,'style','popupmenu','Units','centimeters',...
    'Position',[1.2 1.5 2 0.7],'String',popstring,'BackGroundColor','w','Value',2);
%
handles.figures.output.specrumplot.defgraph.pushbutton5=uicontrol('Parent',h2,'style','pushbutton','Units','centimeters',...
    'Position',[2.65 0.2 2 0.7],'String','Done','callback',@output_spectrumplot_defgraph_done_clbk,'BackGroundColor',[0.95 0.95 0.95]);
handles.figures.output.specrumplot.defgraph.pushbutton6=uicontrol('Parent',h2,'style','pushbutton','Units','centimeters',...
    'Position',[4.98 0.2 2 0.7],'String','Cancel','callback','close','BackGroundColor',[0.95 0.95 0.95]);

% Set handles to 'Userdata' property
set(swan,'UserData',handles);

end









        

