function output_table_clbk(varargin)

% Find structure and handles
global handles
swan=findobj('Tag','swan1d');
handles=get(swan,'Userdata');

handles.figures.input.f9=figure('Name','SwanOne - Tables','Units','Centimeters','Position',...
    [11 6 12.5 12.1],'Menubar','none','Numbertitle','Off','Color',[0.95 0.95 0.95]);

%%  Check Boxes
h2=uibuttongroup('Parent',handles.figures.input.f9,'Units','Centimeters','Position',...
    [0.1 0.1 10 11.9],'HighlightColor',[0.5 0.5 0.5],'BackgroundColor',[1 1 1]);
handles.figures.output.table.checkbox(1)=uicontrol('Parent',h2,'Style','Checkbox','Units','Centimeters'...
    ,'Position',[0.1 11 9.75 0.7],'String','XP            X-Coordinate (m)','BackgroundColor',[1 1 1]);
handles.figures.output.table.checkbox(2)=uicontrol('Parent',h2,'Style','Checkbox','Units','Centimeters'...
    ,'Position',[0.1 10 9.75 0.7],'String','Hm0      Spectral Significant Wave Height (m)','BackgroundColor',[1 1 1]);
handles.figures.output.table.checkbox(3)=uicontrol('Parent',h2,'Style','Checkbox','Units','Centimeters'...
    ,'Position',[0.1 9 9.75 0.7],'String','RTP          Peak Period(s)','BackgroundColor',[1 1 1]);
handles.figures.output.table.checkbox(4)=uicontrol('Parent',h2,'Style','Checkbox','Units','Centimeters'...
    ,'Position',[0.1 8 9.75 0.7],'String','TM01        Mean Absolute Wave Period(s)','BackgroundColor',[1 1 1]);
handles.figures.output.table.checkbox(5)=uicontrol('Parent',h2,'Style','Checkbox','Units','Centimeters'...
    ,'Position',[0.1 7 9.75 0.7],'String','TMM10      Period Based on First Negative Moment of Energy Spectrum (s)','BackgroundColor',[1 1 1]);
handles.figures.output.table.checkbox(6)=uicontrol('Parent',h2,'Style','Checkbox','Units','Centimeters'...
    ,'Position',[0.1 6 9.75 0.7],'String','DIR           Mean Wave direction (deg N)','BackgroundColor',[1 1 1]);
handles.figures.output.table.checkbox(7)=uicontrol('Parent',h2,'Style','Checkbox','Units','Centimeters'...
    ,'Position',[0.1 5 9.75 0.7],'String','DSPR       Directional Spreading of Waves (deg)','BackgroundColor',[1 1 1]);
handles.figures.output.table.checkbox(8)=uicontrol('Parent',h2,'Style','Checkbox','Units','Centimeters'...
    ,'Position',[0.1 4 9.75 0.7],'String','DEPTH      Water Depth(m)','BackgroundColor',[1 1 1]);
handles.figures.output.table.checkbox(9)=uicontrol('Parent',h2,'Style','Checkbox','Units','Centimeters'...
    ,'Position',[0.1 3 9.75 0.7],'String','SETUP      Wave Induced Setup (m)','BackgroundColor',[1 1 1]);
if handles.input.boundaryconditions.radiostatus5==1
    set(handles.figures.output.table.checkbox(9),'Enable','Off');
end
handles.figures.output.table.checkbox(10)=uicontrol('Parent',h2,'Style','Checkbox','Units','Centimeters'...
    ,'Position',[0.1 2 9.75 0.7],'String','H1/3         Mean Wave Height of the Highest 1/3rd of the waves (m)','BackgroundColor',[1 1 1]);
handles.figures.output.table.checkbox(11)=uicontrol('Parent',h2,'Style','Checkbox','Units','Centimeters'...
    ,'Position',[0.1 1 9.75 0.7],'String','H2%         Wave Height Exceeded by 2% of the waves (m)','BackgroundColor',[1 1 1]);
handles.figures.output.table.checkbox(12)=uicontrol('Parent',h2,'Style','Checkbox','Units','Centimeters'...
    ,'Position',[0.1 0 9.75 0.7],'String','H1/10    Mean Wave Height of the Highest 10% of the waves (m)','BackgroundColor',[1 1 1]);
%%
handles.figures.output.table.pushbutton1=uicontrol(handles.figures.input.f9,'style','pushbutton','Units','centimeters',...
    'Position',[10.3 2 2 0.7],'String','Print','Callback',@output_tables_print,'BackGroundColor',[0.95 0.95 0.95]);
handles.figures.output.table.pushbutton2=uicontrol(handles.figures.input.f9,'style','pushbutton','Units','centimeters',...
    'Position',[10.3 1 2 0.7],'String','Done','Callback','close','BackGroundColor',[0.95 0.95 0.95]);

% Set handles to 'Userdata' property
set(swan,'UserData',handles);

end







