function output_table_print_ok(varargin)

% Clear command window
clc

% Find structure and handles
global handles
swan=findobj('Tag','swan1d');
handles=get(swan,'UserData');

% find file
foldername=handles.input.newproject.foldername;
filename=handles.input.newproject.filename;
addpath([foldername '\' filename ' files']);
addpath('Working Directory');

% Old version
%[hrms,h2p,h110]=Battjes_Groenendijk;
% Updated version
% Edit J. van den Bos (27/03/2018) for SwanOne v1.3
[hrms,h2p,h110, h13]=Battjes_Groenendijk2;


s=load([foldername '\' filename ' files' '\' filename '.TAB']);
omit=[];
co=0;

for i=1:length(s(:,3))
    if s(i,3)<0
        co=co+1;
        omit(co)=i;
    end
end

s(omit,:)=[];
a=size(s);
s(:,a(2)+1)=h13';
s(:,a(2)+2)=h2p';
s(:,a(2)+3)=h110';
s(:,2)=[];
s=s;
a=size(s);
table=cell(a(1)+2,a(2));
handles.output.print(1).lable='      XP(m)     ';
handles.output.print(2).lable='    Hm0(m)    ';
handles.output.print(3).lable='    RTP(Sec)    ';
handles.output.print(4).lable='    TM01(Sec)   ';
handles.output.print(5).lable='   TMM10(Sec)   ';
handles.output.print(6).lable='    DIR(Degr N)   ';
handles.output.print(7).lable='    DSPR(Deg)   ';
handles.output.print(8).lable='    DEPTH(m)    ';
handles.output.print(9).lable='    SETUP(m)    ';
handles.output.print(10).lable='    H1/3(m)     ';
handles.output.print(11).lable='     H2%(m)     ';
handles.output.print(12).lable='   H1/10(m)     ';
%% Printing to file
if get(handles.figures.table.print.radio1,'Value')==1
    column=[];
if exist([filename '_Table.TAB'],'file')==2
    delete([filename '_Table.TAB']);
end
    fid=fopen([filename '_Table.TAB'],'wt+');
    frewind(fid)
    fseek(fid,0,'bof');
    %%%%Saving the expected parts of the file
    count=0;
    
    
%% convert direction to deg N    
%edit J van den Bos v1.3   
%code copied from rayplot routine

dir=handles.input.boundaryconditions.meanwavedirection; 
alpha=handles.input.bottomprofile.alpha;
dirplot=[];
sd=s(:,6);
    for k=1:length(s(:,6))
        if dir>=alpha
            if (dir-alpha)>=180
                dirplot(k)=180+alpha+sd(k)-0;
            else
                dirplot(k)=alpha+sd(k)+180-0;
            end
        else
            if (alpha-dir)>=180
                dirplot(k)=alpha+sd(k)-0-180;
            else
                dirplot(k)=alpha+sd(k)-0-180;
            end
        end   
        dirplot(k) = mod(dirplot(k),360);
    end
s(:,6) = dirplot';    
    
    
    %% typing the headers
    fprintf(fid,'%s','%');
    for i=1:12
        if get(handles.figures.output.table.checkbox(i),'Value')~=0
            count=count+1;
            column(count)=i;
            fprintf(fid,'%s',handles.output.print(i).lable);
        end        
    end
    prt=[];
    for i=1:length(column)
        prt(:,i)=s(:,column(i));
    end
    fseek(fid,0,'eof');
    fprintf(fid,'%s\n','');
    save([filename '_Table.TAB'],'prt','-ascii','-append')
    
fclose(fid);
movefile([filename '_Table.TAB'],[foldername '\' filename ' files' ]);

end

% Find structure and handles
global handles
swan=findobj('Tag','swan1d');
handles=get(swan,'Userdata');

% remove figures to save structure in mat-file
handles.figures.input = rmfield(handles.figures.input,'f9');
handles.figures.input = rmfield(handles.figures.input,'f13');

% Set handles to 'Userdata' property
set(swan,'UserData',handles);

% close current figure
close(gcbf)

end

                
                
                
                
            