function read_bndcnd_sp1_clbk(varargin)

% Find structure and handles
global handles
swan=findobj('Tag','swan1d');
handles=get(swan,'UserData');

[sp1file,foldername]=uigetfile('*.SP1');
handles.input.boundaryconditions.sp1file=sp1file;
handles.input.boundaryconditions.sp1folder=foldername;

if sp1file~=0
    set(handles.figures.boundaryconditions.edit1,'String',sp1file)
if exist(sp1file,'file')==2
    [handles.input.boundaryconditions.sp1.freq,handles.input.boundaryconditions.sp1.efr,...
           handles.input.boundaryconditions.sp1.xpos,handles.input.boundaryconditions.sp1.ypos,...
           handles.input.boundaryconditions.sp1.iok] = read_swan_sp1([foldername '\' sp1file],0);
       he=figure('Name','Spectrum Boundary Condition','Units','Centimeters','Position',...
        [10 9 13 10],'Menubar','none','Numbertitle','Off','Color',[0.9 0.9 0.9]);
    axes('Parent',he,'Units','Centimeters','Position',[1.5 1 9 8.5],'Color',[0.7 0.7 0.7]);
    uicontrol(he,'style','pushbutton','Units','centimeters',...
          'Position',[10.8 1 1.9 0.7],'String','Done','CallBack','close');
    omit=[];
    count=0;
    freq=handles.input.boundaryconditions.sp1.freq;
    efr=handles.input.boundaryconditions.sp1.efr;
    for i=1:length(freq)
        if efr(i)<0
            count=count+1;
            omit(count)=i;
        end
    end
    freq(omit)=[];
    efr(omit)=[];
    plot(freq,efr),grid
    xlabel('Frequency(Hz)')
    ylabel('Var. Density(m2/Hz)')
    
    % Set handles to 'Userdata' property
    set(swan,'UserData',handles);
    %winontop(he)
else
    he=figure('Name','Error','Units','Centimeters','Position',...
        [10 9 10 5],'Menubar','none','Numbertitle','Off','Tag','Bottom Profile','Color',[1 0.7 0]);
    uicontrol('Parent',he,'Style','text','String',...
        'The Spectrum File could not be Found!',...
        'Units','Centimeters','Position',[1 2 8.3 2],'FontSize',10,'FontWeight','bold','BackGroundColor',[1 0.7 0]);
    uicontrol(he,'style','pushbutton','Units','centimeters',...
          'Position',[4.5 0.8 1.5 0.7],'String','Ok','CallBack','close','FontWeight','bold','FontSize',9);
    %winontop(he)
    error=1;
end
end
end

    