function save_bndcnd_clbk(varargin)

% Find structure and handles
global handles
swan=findobj('Tag','swan1d');
handles=get(swan,'UserData');

%% extract values of boundary conditions

handles.input.boundaryconditions.sp2file=get(handles.figures.boundaryconditions.edit0,'String'); % 2-D spectrum filenam
handles.input.boundaryconditions.sp1file=get(handles.figures.boundaryconditions.edit1,'String'); % 1-D spectrum filename
handles.input.boundaryconditions.hs=get(handles.figures.boundaryconditions.edit2,'String'); % significant wave height
handles.input.boundaryconditions.tp=get(handles.figures.boundaryconditions.edit3,'String'); % peak wave period

%--- edit v1.3
handles.input.boundaryconditions.gamma=get(handles.figures.boundaryconditions.edit300,'String'); % JONSWAP peak enhancement factor
handles.input.boundaryconditions.cosm=get(handles.figures.boundaryconditions.edit301,'String'); % directional spreading paramater (cos^m)
%------

handles.input.boundaryconditions.meanwavedirection=get(handles.figures.boundaryconditions.edit6,'String'); % wave direction
handles.input.boundaryconditions.constantlevel=get(handles.figures.boundaryconditions.edit4,'String'); % water depth
handles.input.boundaryconditions.windvelocity=get(handles.figures.boundaryconditions.edit5,'String'); % wind velocity
handles.input.boundaryconditions.winddirection=get(handles.figures.boundaryconditions.edit7,'String'); % wind direction
handles.input.boundaryconditions.radiostatus1=get(handles.figures.boundaryconditions.radio1,'Value'); % radio button 1
handles.input.boundaryconditions.radiostatus2=get(handles.figures.boundaryconditions.radio2,'Value'); % radio button 2
handles.input.boundaryconditions.radiostatus3=get(handles.figures.boundaryconditions.radio3,'Value'); % radio button 3
handles.input.boundaryconditions.radiostatus4=get(handles.figures.boundaryconditions.radio4,'Value'); % radio button 4
handles.input.boundaryconditions.radiostatus5=get(handles.figures.boundaryconditions.radio5,'Value'); % radio button 5

dir=str2num(handles.input.boundaryconditions.meanwavedirection); % value of wave direction
wind=str2num(handles.input.boundaryconditions.winddirection); % value of wind direction

%% saving wave and wind direction as values between 0 & 360

if dir>360
    dir1=rem(dir,360);
    set(handles.figures.boundaryconditions.edit6,'String',num2str(dir1));
    dir=dir1;
end

if dir<0
    if dir<-360
        dir1=-rem(abs(dir1),360);
        dir1=360+dir1;
        set(handles.figures.boundaryconditions.edit6,'String',num2str(dir1))
        dir=dir1;
    else
        dir1=360+dir;
        set(handles.figures.boundaryconditions.edit6,'String',num2str(dir1))
        dir=dir1;
    end
end

if wind>360
    wind1=rem(wind,360);
    set(handles.figures.boundaryconditions.edit7,'String',num2str(wind1));
    wind=wind1;
end

if wind<0
    if wind<-360
        wind1=-rem(abs(wind1),360);
        wind1=360+wind;
        set(handles.figures.boundaryconditions.edit7,'String',num2str(wind1));
        wind=wind1;
    else
        wind1=360+wind;
        set(handles.figures.boundaryconditions.edit7,'String',num2str(wind1));
        wind=wind1;
    end
end
handles.input.boundaryconditions.meanwavedirection=dir;
handles.input.boundaryconditions.winddirection=wind;

%% Checking the Wave Direction

error=0;
alpha=handles.input.bottomprofile.alpha;
if dir>alpha
    if ((dir-alpha)<110 || (dir-alpha)>250)
        he=figure('Name','Warning','Units','Centimeters','Position',...
            [10 8 10 5],'Menubar','none','Numbertitle','Off','Tag','Bottom Profile');
        uicontrol('Parent',he,'Style','text','String',...
            'The angle between wave ray and bottom profile is larger than 70 degrees, change the value of either mean wave direction or bottom profile,or SWAN will not start calculation!',...
            'Units','Centimeters','Position',[1 2 8.3 2],'FontSize',10,'FontWeight','bold');
        uicontrol(he,'style','pushbutton','Units','centimeters',...
              'Position',[4.5 0.8 1.5 0.7],'String','Ok','CallBack','close','FontWeight','bold','FontSize',9);
        winontop(he)
    end
else
    if ((alpha-dir)<110 || (alpha-dir)>250)
        he=figure('Name','Warning','Units','Centimeters','Position',...
            [10 8 10 5],'Menubar','none','Numbertitle','Off','Tag','Bottom Profile');
        uicontrol('Parent',he,'Style','text','String',...
            'The angle between wave ray and bottom profile is larger than 70 degrees, change the value of either mean wave direction or bottom profile,or SWAN will not start calculation!',...
            'Units','Centimeters','Position',[1 2 8.3 2],'FontSize',10,'FontWeight','bold');
        uicontrol(he,'style','pushbutton','Units','centimeters',...
              'Position',[4.5 0.8 1.5 0.7],'String','Ok','CallBack','close','FontWeight','bold','FontSize',9);
        winontop(he)
    end
end
%% Calculating Wave direction for the problem coordinate system
if dir>=alpha
    if (dir-alpha)>=180
        delta=(dir-alpha)-180;
    else
        delta=(dir-alpha)-180;
    end
else
    if (alpha-dir)>=180
        delta=180-(alpha-dir);
    else
        delta=180-(alpha-dir);
    end
end
handles.input.delta=delta;

%% Calculating Wind direction for the problem coordinate system
if wind>=alpha
     if (wind-alpha)<=180
        deltaw=(wind-alpha)+180;
     else
        deltaw=(wind-alpha)-180;
     end
else
    if (alpha-wind)<=180
        deltaw=180-(alpha-wind);
    else
        deltaw=360-(alpha-wind);
    end
end
handles.input.deltawind=deltaw;
%%
if error==0
if handles.input.boundaryconditions.radiostatus4==1
    fid=fopen(handles.input.newproject.filename,'r+');
    s=fscanf(fid,'%c');
    frewind(fid);
    ind=strfind(s,'ETUP');
    indi=ind(1)-2;
    fseek(fid,indi,'bof');
    fprintf(fid,'%s','SETUP 0  ');
    fclose(fid);
end
if handles.input.boundaryconditions.radiostatus5==1
    fid=fopen(handles.input.newproject.filename,'r+');
    s=fscanf(fid,'%c');
    frewind(fid);
    ind=strfind(s,'ETUP');
    indi=ind(1)-2;
    fseek(fid,indi,'bof');
    fprintf(fid,'%s','$ETUP 0  ');
    fclose(fid);
end

%----- v1.3
if handles.input.boundaryconditions.radiostatus3==1   %override JONSWAP gamma
 fid=fopen(handles.input.newproject.filename,'r+');
    s=fscanf(fid,'%c');
    frewind(fid);
    ind=strfind(s,'JONSWAP');
    indi=ind(1)-1;
    fseek(fid,indi,'bof');
    fprintf(fid,'%s',['JONSWAP ' handles.input.boundaryconditions.gamma ' PEAK DSPR POWER']);
    fclose(fid);
end
%-----------

fid=fopen(handles.input.newproject.filename,'r+');
s=fscanf(fid,'%c');
frewind(fid);
ind=strfind(s,'WIND');
ind=ind-1;
fseek(fid,ind,'bof');
fprintf(fid,'%s','WIND 10 0     ');
fseek(fid,ind,'bof');
fprintf(fid,'%s',['WIND ' handles.input.boundaryconditions.windvelocity ' ' num2str(deltaw)]);
ind=strfind(s,'CONSTANT');
frewind(fid);
ind=ind-1;
fseek(fid,ind,'bof');

%% Wave Direction in Nautical Convention for SWN file
dir=delta;

%% Spectrum File

% write wave characteristics (Hs and Tp and cos^m) to input file
if handles.input.boundaryconditions.radiostatus3==1
    fprintf(fid,'%s\n',['CONSTANT PAR ' num2str(handles.input.boundaryconditions.hs) ...
        ' ' num2str(handles.input.boundaryconditions.tp) ' ' ...
        num2str(dir) ' ' num2str(handles.input.boundaryconditions.cosm)]);
end

error=0;

% assign 1D-spectrum filename to input file
if handles.input.boundaryconditions.radiostatus2==1
    if isfield(handles.input.boundaryconditions,'sp1file')==1
        fprintf(fid,'%s\n',['CONSTANT FILE ' '''' handles.input.boundaryconditions.sp1file '''' ' 1    ']);
        copyfile([handles.input.boundaryconditions.sp1folder '\' handles.input.boundaryconditions.sp1file],...
            [handles.swan1d.folder '\Working Directory']);
        error=0;
    else
        error=1;
        he=figure('Name','Error','Units','Centimeters','Position',...
               [10 9 10 5],'Menubar','none','Numbertitle','Off','Tag','Bottom Profile','Color',[1 0.7 0]);
        uicontrol('Parent',he,'Style','text','String',...
            'Load the Spectrum File ,or SWAN will not start computation!',...
            'Units','Centimeters','Position',[1 2 8.3 2],'FontSize',10,'FontWeight','bold','BackGroundColor',[1 0.7 0]);
        uicontrol(he,'style','pushbutton','Units','centimeters',...
            'Position',[4.5 0.8 1.5 0.7],'String','Ok','CallBack','close','FontWeight','bold','FontSize',9);
        winontop(he)
    end
end

% assign 2D-spectrum filename to input file
if handles.input.boundaryconditions.radiostatus1==1
     if isfield(handles.input.boundaryconditions,'sp2file')==1
         fprintf(fid,'%s\n',['CONSTANT FILE ' '''' handles.input.boundaryconditions.sp2file '''' ' 1    ']);
         copyfile([handles.input.boundaryconditions.sp2folder '\' handles.input.boundaryconditions.sp2file],...
             [handles.swan1d.folder '\Working Directory']);
         error=0;
     else
         error=1;
         he=figure('Name','Error','Units','Centimeters','Position',...
                [10 9 10 5],'Menubar','none','Numbertitle','Off','Tag','Bottom Profile','Color',[1 0.7 0]);
         uicontrol('Parent',he,'Style','text','String',...
             'Load the Spectrum File ,or SWAN will not start computation!',...
             'Units','Centimeters','Position',[1 2 8.3 2],'FontSize',10,'FontWeight','bold','BackGroundColor',[1 0.7 0]);
         uicontrol(he,'style','pushbutton','Units','centimeters',...
             'Position',[4.5 0.8 1.5 0.7],'String','Ok','CallBack','close','FontWeight','bold','FontSize',9);
         winontop(he)
     end
end

frewind(fid);
ind=strfind(s,'SET LEVEL');
ind=ind-1;
fseek(fid,ind,'bof');
fprintf(fid,'%s',['SET LEVEL ' handles.input.boundaryconditions.constantlevel]);
fclose(fid);
handles.save.bndcnd=1;

% remove figures to save structure in mat-file
if isfield(handles.figures.input,'f3')==1
handles.figures.input = rmfield(handles.figures.input,'f3');
end

if isfield(handles.figures.input,'bndannot')==1
handles.figures.input = rmfield(handles.figures.input,'bndannot');
end

% remove figures to save structure in mat-file
if isfield(handles.figures.input,'bndannot')==1
handles.figures.input = rmfield(handles.figures.input,'bndannot');
end

% Set handles to 'Userdata' property
set(swan,'UserData',handles)

%% Save structure and reset buttons

filename=handles.input.newproject.filename;
if error==0
    cd('Working Directory')
    save([filename '.' 'mat'],'-struct','handles','-v7.3')
    cd('..')
    set(handles.swan1d.menu.input.m,'Enable','On');
    set(handles.swan1d.menu.file.m,'Enable','On');
    set(handles.swan1d.menu.computation.m,'Enable','On');
    set(handles.swan1d.menu.input.boundaryconditions,'Callback',@bound_cnd_clbk);
    delete(gcbf)
end
end
end

