function save_btmprofile_clbk(varargin)

% Find structure and handles
global handles
swan=findobj('Tag','swan1d');
handles=get(swan,'UserData');

% obtaining the angle of the coast
alpha=get(handles.figures.bottomprofile.edit2,'String');
alpha=str2num(alpha);
error=0;
alpha1=alpha;

if isfield(handles,'input')==1
    if isfield(handles.input,'btmprofile')==1
        if isfield(handles.input.btmprofile,'error')==1
            error=handles.input.btmprofile.error;
        end
    else 
        he=figure('Name','Error','Units','Centimeters','Position',...
            [10 9 10 5],'Menubar','none','Numbertitle','Off','Tag','Bottom Profile','Color',[1 0.7 0]);
        uicontrol('Parent',he,'Style','text','String',...
            'Load the Bottom Profile ,or SWAN will not start computation!',...
            'Units','Centimeters','Position',[1 2 8.3 2],'FontSize',10,'FontWeight','bold','BackGroundColor',[1 0.7 0]);
        uicontrol(he,'style','pushbutton','Units','centimeters',...
              'Position',[4.5 0.8 1.5 0.7],'String','Ok','CallBack','close','FontWeight','bold','FontSize',9);
        winontop(he)
        error=1;
    end
else
    he=figure('Name','Error','Units','Centimeters','Position',...
            [10 9 10 5],'Menubar','none','Numbertitle','Off','Tag','Bottom Profile');
        uicontrol('Parent',he,'Style','text','String',...
            'Load the Bottom Profile ,or SWAN will not start calculation!',...
            'Units','Centimeters','Position',[1 2 8.3 2],'FontSize',10,'FontWeight','bold');
        uicontrol(he,'style','pushbutton','Units','centimeters',...
              'Position',[4.5 0.8 1.5 0.7],'String','Ok','CallBack','close','FontWeight','bold','FontSize',9);
        winontop(he)
    error=1;
end

%% Default values for wave height & period
if isfield('handles','input')==1
    if isfield('handles.input','boundaryconditions')==1
        if isfield('handles.input.boundaryconditions','hs')==1
            hs=handles.input.boundaryconditions.hs;
        else
            handles.input.boundaryconditions.hs=1;
            hs=1;
        end
    else
        handles.input.boundaryconditions.hs=1;
        hs=1;
    end
else
    handles.input.boundaryconditions.hs=1;
    hs=1;
end

if isfield('handles','input')==1
    if isfield('handles.input','boundaryconditions')==1
        if isfield('handles.input.boundaryconditions','tp')==1
            tp=handles.input.boundaryconditions.hs;
        else
            handles.input.boundaryconditions.tp=5;
            tp=5;
        end
    else
        handles.input.boundaryconditions.tp=5;
        tp=5;
    end
else
    handles.input.boundaryconditions.tp=5;
    tp=5;
end

%% Having alpha as a value between 0 & 360
if alpha>360
    alpha1=rem(alpha,360);
    set(handles.figures.bottomprofile.edit2,'String',num2str(alpha1));
end

if alpha<0
    if alpha<-360
        alpha1=-rem(abs(alpha1),360);
        alpha1=360+alpha1;
        set(handles.figures.bottomprofile.edit2,'String',num2str(alpha1));
        alpha=alpha1;
    else
        alpha1=360+alpha1;
        set(handles.figures.bottomprofile.edit2,'String',num2str(alpha1));
        alpha=alpha1;
    end
end

alpha=alpha1;
handles.input.bottomprofile.alpha=alpha;

%% Comparing with wave direction if it has been entered already
if isfield(handles,'input')==1
    if isfield(handles.input,'boundaryconditions')==1
        if isfield(handles.input.boundaryconditions,'meanwavedirection')==1
            dir=handles.input.boundaryconditions.meanwavedirection;
        else
            dir=0;
        end
    else
        dir=0;
    end
else
    dir=0;
end

% dir;

if dir>alpha
    if ((dir-alpha)<110 || (dir-alpha)>250)
        he=figure('Name','Warning','Units','Centimeters','Position',...
            [10 8 10 5],'Menubar','none','Numbertitle','Off','Tag','Bottom Profile');
        uicontrol('Parent',he,'Style','text','String',...
            'The angle between wave ray and bottom profile is larger than 70 degrees, change the value of either mean wave direction or bottom profile,or SWAN will not start calculation!',...
            'Units','Centimeters','Position',[1 2 8.3 2],'FontSize',10,'FontWeight','bold');
        uicontrol(he,'style','pushbutton','Units','centimeters',...
              'Position',[4.5 0.8 1.5 0.7],'String','Ok','CallBack','close','FontWeight','bold','FontSize',9);
        winontop(he)
    end
else
    if ((alpha-dir)<110 || (alpha-dir)>250)
        he=figure('Name','Warning','Units','Centimeters','Position',...
            [10 8 10 5],'Menubar','none','Numbertitle','Off','Tag','Bottom Profile');
        uicontrol('Parent',he,'Style','text','String',...
            'The angle between wave ray and bottom profile is larger than 70 degrees, change the value of either mean wave direction or bottom profile,or SWAN will not start calculation!',...
            'Units','Centimeters','Position',[1 2 8.3 2],'FontSize',10,'FontWeight','bold');
        uicontrol(he,'style','pushbutton','Units','centimeters',...
              'Position',[4.5 0.8 1.5 0.7],'String','Ok','CallBack','close','FontWeight','bold','FontSize',9);
        winontop(he)
    end
end
if dir>=alpha
    if (dir-alpha)>=180
        delta=(dir-alpha)-180;
    else
        delta=(dir-alpha)-180;
    end
else
    if (alpha-dir)>=180
        delta=180-(alpha-dir);
    else
        delta=180-(alpha-dir);
    end
end

%%% alpc & alpinp are supposed to be the same in one dimensional modeling
%%% therefore, as an assumption we take alpc and alpinp(direction of 
%%% computational grid and bottom profile repectively) as zero, and what we
%%% change, would be the wave approach direction as the boundary condition

handles.input.delta=delta;
dir=delta+0;
fid=fopen(handles.input.newproject.filename,'r+');
s=fscanf(fid,'%c');
ind=strfind(s,'CONSTANT PAR');
frewind(fid);
ind=ind-1;
fseek(fid,ind,'bof');
fprintf(fid,'%s\n',['CONSTANT PAR ' num2str(hs) ...
    ' ' num2str(tp) ' ' ...
    num2str(dir) ' 2    ']);
fclose(fid);

handles.input.bottomprofile.name=get(handles.figures.bottomprofile.edit1,'String');
set(handles.figures.bottomprofile.edit2,'Userdata',alpha);
handles.save.btmprofile=1;

% Set handles to 'Userdata' property
set(swan,'UserData',handles);

handles.input.bottomprofile.name=get(handles.figures.bottomprofile.edit1,'String');
filename=handles.input.newproject.filename;
cd([pwd '\Working Directory'])

% save structure in mat-file
save([filename '.' 'mat'],'-struct','handles','-v7.3');
cd('..')

if error==0
    set(handles.swan1d.menu.input.definecurrents,'Enable','On');
    set(handles.swan1d.menu.input.bottomprofile,'CallBack',@btm_profile_clbk);
    delete(gcbf)
end

end